<?php 
/**
 *  Categories
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_categories','builtit_categories');
function builtit_categories($atts,$content){
    extract(shortcode_atts(   
		array( 
		'builtit_cate_style' => 'builtit-category-style1',
		'builtit_cate_columns' => '3', 
		'builtit_cate_id' => '', 
		'builtit_cate_view' => 'grid', 
		'builtit_cate_t_color' => '', 
		'builtit_cate_t_bgcolor' => '', 
		'builtit_cate_box_color' => '', 
		'builtit_cate_over_color' => '', 
		'builtit_cate_border' => '', 
		'builtit_cate_bstyle' => '', 
		'builtit_cate_bcolor' => '', 
		'builtit_cate_br' => '', 
		'builtit_cate_box_br' => '', 
		'builtit_cate_shw' => '', 
		'builtit_class' => '', 
		'builtit_cate_nav' => '', 
		'builtit_cate_autoplay' => '', 
		'builtit_cate_loop' => '', 
		'builtit_cate_ac_bullet' => '', 
		'builtit_cate_inac_bullet' => '', 
		'builtit_cate_arro_color' => '', 
		'builtit_cate_arro_hcolor' => '', 
		'builtit_cate_arro_bg' => '', 
		'builtit_cate_arro_hbg' => '',
		'builtit_cate_padd' => '',		
		 ),$atts 
	 ) );  
	$result = $css = ''; 
	$id = uniqid();	
	
	if($builtit_cate_columns == 5 ){
		$col = 'builtit-column-5';   
	} elseif($builtit_cate_columns == 4 ){
		$col = 'builtit-column-4';
	} else {
		$col = 'builtit-column-3';
	} 
	$ids = !empty($builtit_cate_id) ? explode(',', $builtit_cate_id) : array(); 
	$result.='<div class="builtit-category-wrapper" id="builtit-'. esc_attr($id) .'">';
	if($builtit_cate_view == 'grid'){ 
			$result.='<div class="builtit-category-box builtit-display-grid '. esc_attr($builtit_cate_style) .' '. esc_attr($col) .' builtit-grid-gap30">';
					foreach( $ids as $catid ){
						$term = get_term_by( 'term_taxonomy_id', $catid );
						$thumb = get_term_meta($catid, 'thumbnail_id', true);
						$result .= '<a href="'.esc_url(get_term_link($term)).'">
										<div class="builtit-category-item">
										'.built_it_get_the_image($thumb, 'thumbnail').'
										<h4>'.esc_html($term->name).'</h4>
										</div>
										</a>';
					}     
			$result.='</div>';
	}else{
		$slidermeta = array('per_view' => $builtit_cate_columns, 'autoplay' => $builtit_cate_autoplay, 'loop' => $builtit_cate_loop);
		$result.=' <div class="builtit-cat-slider builtit-slider-pagination builtit-slider-arrow">
                        <div class="swiper-container" data-catmeta="'.esc_attr(json_encode($slidermeta)).'"> 
                            <div class="swiper-wrapper">';
							foreach( $ids as $catid ){
								$result.='<div class="swiper-slide builtit-category-box builtit-display-grid '. esc_attr($builtit_cate_style) .'">';    
								$term = get_term_by( 'term_taxonomy_id', $catid );
								$thumb = get_term_meta($catid, 'thumbnail_id', true);
								$result .= '<a href="'.esc_url(get_term_link($term)).'">
										<div class="builtit-category-item">
										'.built_it_get_the_image($thumb, 'thumbnail').'
										<h4>'.esc_html($term->name).'</h4>
										</div>
										</a> 
										</div>'; 
					} 
								
				$result.='</div>';
				if($builtit_cate_nav == 'bullets'){
					$result.='<div class="swiper-pagination"></div>';
				}
			if($builtit_cate_nav == 'arrows'){
			$result.='<div class="swiper-button-prev">
                        <i class="fas fa-arrow-left"></i>
                    </div>
                    <div class="swiper-button-next"> 
                        <i class="fas fa-arrow-right"></i>
                     </div>';
		}
				$result.='</div></div>	';	
	} 
	$result.='</div>';
	
	
	$css .= !empty($builtit_cate_t_color) ? '#builtit-'. $id .' .builtit-category-item h4 {color : '. esc_attr($builtit_cate_t_color).';}' : '';
	
	$css .= !empty($builtit_cate_t_bgcolor) ? '#builtit-'. $id .' .builtit-category-item h4 {background : '. esc_attr($builtit_cate_t_bgcolor).';}' : '';
	
	$css .= !empty($builtit_cate_box_color) ? '#builtit-'. $id .' .builtit-category-box a {background : '. esc_attr($builtit_cate_box_color).';}' : '';
	
	$css .= !empty($builtit_cate_over_color) ? '#builtit-'. $id .' .builtit-category-overlap .builtit-category-item:after {background : '. esc_attr($builtit_cate_over_color).';}' : '';
	
	$css .= !empty($builtit_cate_border) ? '#builtit-'. $id .' .builtit-category-box a {border-width : '. esc_attr($builtit_cate_border).';}' : '';
	
	$css .= !empty($builtit_cate_bstyle) ? '#builtit-'. $id .' .builtit-category-box a {border-style : '. esc_attr($builtit_cate_bstyle).';}' : '';
	
	$css .= !empty($builtit_cate_bcolor) ? '#builtit-'. $id .' .builtit-category-box a {border-color : '. esc_attr($builtit_cate_bcolor).';}' : '';
	
	$css .= !empty($builtit_cate_br) ? '#builtit-'. $id .' .builtit-category-box a {border-radius : '. esc_attr($builtit_cate_br).';}' : '';
	
	$css .= !empty($builtit_cate_shw) ? '#builtit-'. $id .' .builtit-category-box a {box-shadow : '. esc_attr($builtit_cate_shw).';}' : '';
	
	$css .= !empty($builtit_cate_padd) ? '#builtit-'. $id .' .builtit-category-box a {padding : '. esc_attr($builtit_cate_padd).';}' : '';
		
	$css .= !empty($builtit_cate_ac_bullet) ? '#builtit-'. $id .' span.swiper-pagination-bullet.swiper-pagination-bullet-active {background : '. esc_attr($builtit_cate_ac_bullet).';}' : '';
	
	$css .= !empty($builtit_cate_inac_bullet) ? '#builtit-'. $id .' .swiper-pagination .swiper-pagination-bullet {background : '. esc_attr($builtit_cate_inac_bullet).';}' : '';
	
	$css .= !empty($builtit_cate_arro_bg) ? '#builtit-'. $id .' .swiper-button-prev, #builtit-'. $id .' .swiper-button-next {background : '. esc_attr($builtit_cate_arro_bg).';}' : '';
	
	$css .= !empty($builtit_cate_arro_color) ? '#builtit-'. $id .' .swiper-button-prev i, #builtit-'. $id .' .swiper-button-next i {color : '. esc_attr($builtit_cate_arro_color).';}' : '';
	
	$css .= !empty($builtit_cate_arro_hbg) ? '#builtit-'. $id .' .swiper-button-prev:hover, #builtit-'. $id .' .swiper-button-next:hover {background : '. esc_attr($builtit_cate_arro_hbg).';}' : '';
	
	$css .= !empty($builtit_cate_arro_hcolor) ? '#builtit-'. $id .' .swiper-button-prev:hover i, #builtit-'. $id .' .swiper-button-next:hover i {color : '. esc_attr($builtit_cate_arro_hcolor).';}' : '';
	
	$css .= !empty($builtit_cate_arro_color) ? '#builtit-'. $id .' .swiper-button-prev:after, #builtit-'. $id .' .swiper-button-next:after {border-color : '. esc_attr($builtit_cate_arro_color).';}' : '';	
 
	$css .= !empty($builtit_cate_arro_hcolor) ? '#builtit-'. $id .' .swiper-button-prev:hover:after, #builtit-'. $id .' .swiper-button-next:hover:after {border-color : '. esc_attr($builtit_cate_arro_hcolor).';}' : '';	
 
	global $builtit_internal_css;  
	$builtit_internal_css[] = $css;
	return $result; 
} 