<?php 
/**
 * Counter
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 

add_shortcode('builtit_counter','builtit_counter');
function builtit_counter($atts,$content){
	global $builtit_counter_style;
	global $builtit_counter_columns;
    extract(shortcode_atts( 
		array( 
		'builtit_counter_style' => 'builtit-counter-style1',
		'builtit_counter_columns' => '',
		'builtit_counter_number' => '',
		'builtit_counter_tittle_color' => '',
		'builtit_counter_tittle_bgcolor' => '',
		'builtit_counter_number_color' => '',
		'builtit_counter_symbol_color' => '',
		'builtit_counter_extra_color' => '',
		'builtit_class' => '',
		'builtit_counter_ic_font' => '',
		'builtit_counter_ic_color' => '',
		'builtit_counter_sicon_color' => '',
		'builtit_counter_icon_bgcolor' => '',
		'builtit_counter_icon_border' => '',
		'builtit_counter_icon_color' => '',
		'builtit_counter_icon_r' => '',
		'builtit_counter_box_color' => '',
		'builtit_counter_box_border' => '',
		'builtit_counter_box_bcolor' => '',
		'builtit_counter_box_r' => '',
		'builtit_counter_box_shw' => '',
		 ),$atts 
	 ) ); 
	$result = $css = ''; 
	$id = uniqid();	
	$result.='<div class="builtit-counter-wrapper" id="counter"><div class="counter-content" id="builtit-'. esc_attr($id) .'">
	    <div class="row">'.do_shortcode($content).'</div>
	    </div>
    </div>';
	
	$css .= !empty($builtit_counter_number_color ) ? '#builtit-'. $id .' .counter-value {color : '. esc_attr($builtit_counter_number_color).';}' : '';
	
	$css .= !empty($builtit_counter_tittle_color) ? '#builtit-'. $id .' .builtit-counter-box h3{color : '. esc_attr($builtit_counter_tittle_color).';}' : '';
	
	$css .= !empty($builtit_counter_symbol_color) ? '#builtit-'. $id .' .builtit-counter-box span {color : '. esc_attr($builtit_counter_symbol_color).';}' : '';
	
	$css .= !empty($builtit_counter_tittle_bgcolor) ? '#builtit-'. $id .' .builtit-counter-style1 h3 {background : '. esc_attr($builtit_counter_tittle_bgcolor).';}' : '';
	
	$css .= !empty($builtit_counter_extra_color) ? '#builtit-'. $id .' .builtit-counter-style5 .builtit-counter-icon:after, #builtit-'. $id .' .builtit-counter-style5 .builtit-counter-icon:before {background : '. esc_attr($builtit_counter_extra_color).';}' : '';
	
	$css .= !empty($builtit_counter_ic_font) ? '#builtit-'. $id .' .builtit-counter-icon i {font-size : '. esc_attr($builtit_counter_ic_font).'px;}' : '';
	
	$css .= !empty($builtit_counter_ic_color) ? '#builtit-'. $id .' .builtit-counter-icon i {color : '. esc_attr($builtit_counter_ic_color).';}' : '';
	
	$css .= !empty($builtit_counter_sicon_color) ? '#builtit-'. $id .' .builtit-counter-icon-shape i {color : '. esc_attr($builtit_counter_sicon_color).';}' : '';
	
	$css .= !empty($builtit_counter_icon_bgcolor) ? '#builtit-'. $id .' .builtit-counter-style3 .builtit-counter-icon, #builtit-'. $id .' .builtit-counter-style4 .builtit-counter-icon {background : '. esc_attr($builtit_counter_icon_bgcolor).';}' : ''; 
	
	$css .= !empty($builtit_counter_icon_border) || !empty($builtit_counter_icon_color) ? '#builtit-'. $id .' .builtit-counter-style3 .builtit-counter-icon, #builtit-'. $id .' .builtit-counter-style4 .builtit-counter-icon {border : '. esc_attr($builtit_counter_icon_border).' solid '. esc_attr($builtit_counter_icon_color).';}' : ''; 
	
	$css .= !empty($builtit_counter_icon_r) ? '#builtit-'. $id .' .builtit-counter-style3 .builtit-counter-icon, #builtit-'. $id .' .builtit-counter-style4 .builtit-counter-icon {border-radius : '. esc_attr($builtit_counter_icon_r).';}' : ''; 
	
	$css .= !empty($builtit_counter_box_color) ? '#builtit-'. $id .' .builtit-counter-style3, #builtit-'. $id .' .builtit-counter-style5, #builtit-'. $id .' .builtit-counter-style2 {background : '. esc_attr($builtit_counter_box_color).';}' : '';
	 
	$css .= !empty($builtit_counter_box_border) || !empty($builtit_counter_box_bcolor) ? '#builtit-'. $id .' .builtit-counter-style3, #builtit-'. $id .' .builtit-counter-style5, #builtit-'. $id .' .builtit-counter-style2 {border : '. esc_attr($builtit_counter_box_border).' solid '. esc_attr($builtit_counter_box_bcolor).';}' : '';
	
	$css .= !empty($builtit_counter_box_r) ? '#builtit-'. $id .' .builtit-counter-style3, #builtit-'. $id .' .builtit-counter-style5, #builtit-'. $id .' .builtit-counter-style2 {border-radius : '. esc_attr($builtit_counter_box_r).';}' : '';
	
	$css .= !empty($builtit_counter_box_shw) ? '#builtit-'. $id .' .builtit-counter-style3, #builtit-'. $id .' .builtit-counter-style5, #builtit-'. $id .' .builtit-counter-style2 {box-shadow : '. esc_attr($builtit_counter_box_shw).';}' : '';
	
	global $builtit_internal_css;
	$builtit_internal_css[] = $css; 
	return $result;     
} 
add_shortcode('builtit_counter_item','builtit_counter_item');
function builtit_counter_item($atts,$content){
	global $builtit_counter_style; 
	global $builtit_counter_columns;
	
    extract(shortcode_atts( 
		array(
		'builtit_counter_icon' => '', 
		'builtit_counter_number' => '',
		'builtit_counter_tittle' => '',
		'builtit_counter_symbol' => '',
		 ),$atts 
	 ) ); 
	$result = '';  
	$columns='';
	if($builtit_counter_columns == 'columns4'){
		$columns = 'col-lg-3';
	} elseif($builtit_counter_columns == 'columns3'){
		$columns = 'col-lg-4';
	}else{
		$columns = 'col-lg-6';
	}
	$result.='<div class="'. esc_attr($columns) .' col-md-6">';
	$result.='<div class="builtit-counter-box '. esc_attr($builtit_counter_style) .'">';
		switch ($builtit_counter_style) {
			case "builtit-counter-style2":
				if(!empty($builtit_counter_icon)){
					$result.='<div class="builtit-counter-icon">
                        <i class="'. esc_attr($builtit_counter_icon) .'" aria-hidden="true"></i>
                    </div>'; 
				}
				if(!empty($builtit_counter_number)){
					$result.='<h2 class="counter-value" data-count="'. esc_html($builtit_counter_number) .'">0</h2>';
				}
				if(!empty($builtit_counter_symbol)){
					$result.='<span> '. esc_html($builtit_counter_symbol) .'</span>';
				}
				if(!empty($builtit_counter_tittle)){
					$result.='<h3>'. esc_html($builtit_counter_tittle) .'</h3>';
				}   
			break;
			case "builtit-counter-style3":
				if(!empty($builtit_counter_icon)){
					$result.='<div class="builtit-counter-icon">
                        <i class="'. esc_attr($builtit_counter_icon) .'" aria-hidden="true"></i>
						<div class="builtit-counter-icon-shape">
                             <i class="'. esc_attr($builtit_counter_icon) .'" aria-hidden="true"></i>
                        </div>
                    </div>';
				}
				if(!empty($builtit_counter_number)){
					$result.='<h2 class="counter-value" data-count="'. esc_attr($builtit_counter_number) .'">0</h2>';
				}
				if(!empty($builtit_counter_symbol)){
					$result.='<span> '. esc_html($builtit_counter_symbol) .'</span>';
				}
				if(!empty($builtit_counter_tittle)){
					$result.='<h3>'. esc_html($builtit_counter_tittle) .'</h3>';
				}  
			break;
			case "builtit-counter-style4":
				if(!empty($builtit_counter_icon)){
					$result.='<div class="builtit-counter-icon">
                        <i class="'. esc_attr($builtit_counter_icon) .'" aria-hidden="true"></i>
						<div class="builtit-counter-icon-shape">
                             <i class="'. esc_attr($builtit_counter_icon) .'" aria-hidden="true"></i>
                        </div>
                    </div>';
				}
				if(!empty($builtit_counter_number) || !empty($builtit_counter_symbol) || !empty($builtit_counter_tittle)){
					$result.='<div class="builtit-counter-text">';
						if(!empty($builtit_counter_number)){
							$result.='<h2 class="counter-value" data-count="'. esc_attr($builtit_counter_number) .'">0</h2>';
						}
						if(!empty($builtit_counter_symbol)){
							$result.='<span> '. esc_html($builtit_counter_symbol) .'</span>';
						}
						if(!empty($builtit_counter_tittle)){
							$result.='<h3>'. esc_html($builtit_counter_tittle) .'</h3>';
						}  
					$result.='</div>';
				}
			break;
			case "builtit-counter-style5":
				if(!empty($builtit_counter_icon)){
					$result.='<div class="builtit-counter-icon">
                        <i class="'. esc_attr($builtit_counter_icon) .'" aria-hidden="true"></i>
                    </div>';
				}
				if(!empty($builtit_counter_number)){
				$result.='<h2 class="counter-value" data-count="'. esc_attr($builtit_counter_number) .'">0</h2>';
				}
				if(!empty($builtit_counter_symbol)){
					$result.='<span> '. esc_html($builtit_counter_symbol) .'</span>';
				}
				if(!empty($builtit_counter_tittle)){ 
					$result.='<h3>'. esc_html($builtit_counter_tittle) .'</h3>';
				}  
			break;			
			default: 
				if(!empty($builtit_counter_number)){
					$result.='<h2 class="counter-value" data-count="'. esc_attr($builtit_counter_number) .'">0</h2>';
				}
				if(!empty($builtit_counter_symbol)){
					$result.='<span> '. esc_html($builtit_counter_symbol) .'</span>';
				}
				if(!empty($builtit_counter_tittle)){
					$result.='<h3>'. esc_html($builtit_counter_tittle) .'</h3>';
				}    
		}
		$result.='</div>';
	$result.='</div>';
	
    return $result; 
} 