<?php 
/**
 * Features
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_features','builtit_features');
function builtit_features($atts,$content){
    
    extract(shortcode_atts( 
		array( 
		'builtit_features_style' => '',
		'builtit_features_type' => '',
		'builtit_features_img' => '',
		'builtit_features_icon' => '',
		'builtit_features_tittle' => '',
		'builtit_features_des' => '',
		'builtit_features_show' => '',
		'builtit_features_btn_tittle' => '',
		'builtit_features_btn_url' => '',
		'builtit_features_tab' => '', 
		'builtit_class' => '',
		'builtit_features_tittle_color' => '',
		'builtit_features_bg_one' => '',
		'builtit_features_bg_two' => '',
		'builtit_features_dec_color' => '',  
		'builtit_features_ad_color' => '', 
		'builtit_features_btnt_color' => '',
		'builtit_features_btnbg_color' => '',
		'builtit_features_btn_hbg_color' => '',
		'builtit_features_btn_ht_color' => '',
		'builtit_features_btn_hbs' => '',
		'builtit_features_icon_hcolor' => '',
		'builtit_features_icon_color' => '',
		'builtit_features_icon_font' => '',
		'builtit_features_gradient' => '',
		'builtit_features_img_bg' => '',
		'builtit_features_img_hbg' => '',
		
		 ),$atts 
	 ) );
	$result = $css = ''; 
	$id = uniqid();
	$imageSrc = wp_get_attachment_image_src($builtit_features_img, 'full');
	if($builtit_features_style == 'builtit-feature-style2'){
	$result.='<div class="builtit-feature-wrapper '. esc_attr($builtit_features_style) .' '. esc_attr($builtit_class) .'" id="builtit-'. esc_attr($id) .'"><div class="builtit-feature-box">';
	if(!empty($builtit_features_img) || !empty($builtit_features_icon)){
		$result.='<div class="builtit-feature-icon">'; 
        if($builtit_features_type == 'image'){
            $result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Feature','built-it').'">';
        }else{
            $result.='<i class="'. esc_attr($builtit_features_icon) .'"></i>';
        }
        $result.='</div>';
	} 
	$result.='<div class="builtit-feature-text">';
                if(!empty($builtit_features_tittle)){
				$result.='<h3 class="builtit-feature-title">'. esc_html($builtit_features_tittle) .'</h3>';
				}
				if(!empty($builtit_features_des)){
                $result.='<p>'. esc_html($builtit_features_des) .'</p>';
				}
				if(!empty($builtit_features_show)){
                $result.='<a href="'. esc_url($builtit_features_btn_url) .'" class="builtit-btn builtit-btn-default">'. esc_html($builtit_features_btn_tittle) .'</a>';
				}
            $result.='</div>
    </div></div>';
	} elseif($builtit_features_style == 'builtit-feature-style3'){
	$result.='<div class="builtit-feature-wrapper '. esc_attr($builtit_features_style) .' '. esc_attr($builtit_class) .'" id="builtit-'.$id.'"><div class="builtit-feature-box">';
	if(!empty($builtit_features_img) || !empty($builtit_features_icon)){
		$result.='<div class="builtit-feature-icon">'; 
        if($builtit_features_type == 'image'){
            $result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Feature','built-it').'">';
        }else{
            $result.='<i class="'. esc_attr($builtit_features_icon) .'"></i>';
        }
        $result.='</div>';
	} 
	$result.='<div class="builtit-feature-text">';
                if(!empty($builtit_features_tittle)){
				$result.='<h3 class="builtit-feature-title">'. esc_html($builtit_features_tittle) .'</h3>';
				}
				if(!empty($builtit_features_des)){
                $result.='<p>'. esc_html($builtit_features_des) .'</p>';
				}
				if(!empty($builtit_features_show)){
                $result.='<a href="'. esc_url($builtit_features_btn_url) .'" class="builtit-btn builtit-btn-default">'. esc_html($builtit_features_btn_tittle) .'</a>';
				}
            $result.='</div>
    </div></div>';	
	} elseif($builtit_features_style == 'builtit-feature-style4'){
	$result.='<div class="builtit-feature-wrapper '. esc_attr($builtit_features_style) .' '. esc_attr($builtit_class) .'" id="builtit-'.$id.'"><div class="builtit-feature-box">';
    if(!empty($builtit_features_img) || !empty($builtit_features_icon)){
		$result.='<div class="builtit-feature-icon">'; 
        if($builtit_features_type == 'image'){
            $result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Feature','built-it').'">';
        }else{
            $result.='<i class="'. esc_attr($builtit_features_icon) .'"></i>';
        }
        $result.='</div>';
	} 
	$result.='<div class="builtit-feature-text">';
                if(!empty($builtit_features_tittle)){
				$result.='<h3 class="builtit-feature-title">'. esc_html($builtit_features_tittle) .'</h3>';
				}
				if(!empty($builtit_features_des)){
                $result.='<p>'. esc_html($builtit_features_des) .'</p>';
				}
				if(!empty($builtit_features_show)){
                $result.='<a href="'. esc_url($builtit_features_btn_url) .'" class="builtit-feature-link">'. esc_html($builtit_features_btn_tittle) .'</a>';
				} 
            $result.='</div> 
    </div></div>';	 
	} else{
	$result.='<div class="builtit-feature-wrapper"'. esc_attr($builtit_class) .'" id="builtit-'.$id.'"><div class="builtit-feature-box">';
    if(!empty($builtit_features_img) || !empty($builtit_features_icon)){
		$result.='<div class="builtit-feature-icon">'; 
        if($builtit_features_type == 'image'){
            $result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Feature','built-it').'">';
        }else{
            $result.='<i class="'. esc_attr($builtit_features_icon) .'"></i>';
        }
        $result.='</div>';
	} 
            $result.='<div class="builtit-feature-text">';
                if(!empty($builtit_features_tittle)){
				$result.='<h3 class="builtit-feature-title">'. esc_html($builtit_features_tittle) .'</h3>';
				}
				if(!empty($builtit_features_des)){
                $result.='<p>'. esc_html($builtit_features_des) .'</p>';
				}
				if(!empty($builtit_features_show)){
                $result.='<a href="'. esc_url($builtit_features_btn_url) .'" class="builtit-btn builtit-btn-default">'. esc_html($builtit_features_btn_tittle) .'</a>'; 
				} 
            $result.='</div>
    </div></div>'; 
	}
	
	$css .= !empty($builtit_features_icon_font) ? '#builtit-'. $id .' .builtit-feature-icon i{font-size : '. esc_attr($builtit_features_icon_font).'px;}' : ''; 
	
	$css .= !empty($builtit_features_icon_color) ? '#builtit-'. $id .' .builtit-feature-icon i{color : '. esc_attr($builtit_features_icon_color).';}' : '';
	
	$css .= !empty($builtit_features_icon_hcolor) ? '#builtit-'. $id .':hover .builtit-feature-icon i{color : '. esc_attr($builtit_features_icon_hcolor).';}' : '';
	
	$css .= !empty($builtit_features_btn_hbs) ? '#builtit-'. $id .' .builtit-btn-default:hover{box-shadow : '. esc_attr($builtit_features_btn_hbs).';}' : ''; 
	
	$css .= !empty($builtit_features_btnt_color) ? '#builtit-'. $id .' .builtit-btn {color : '. esc_attr($builtit_features_btnt_color).';}' : '';
	
	$css .= !empty($builtit_features_btnbg_color) ? '#builtit-'. $id .' .builtit-btn {background : '. esc_attr($builtit_features_btnbg_color).';}' : '';
	  
	$css .= !empty($builtit_features_btn_ht_color) ? '#builtit-'. $id .' .builtit-btn:hover {color : '. esc_attr($builtit_features_btn_ht_color).';}' : '';
	
	$css .= !empty($builtit_features_btn_hbg_color) ? '#builtit-'. $id .' .builtit-btn:hover {background : '. esc_attr($builtit_features_btn_hbg_color).';}' : '';
	
	$css .= !empty($builtit_features_tittle_color) ? '#builtit-'. $id .' .builtit-feature-title {color : '. esc_attr($builtit_features_tittle_color).';}' : '';
	
	$css .= !empty($builtit_features_dec_color) ? '#builtit-'. $id .' p {color : '. esc_attr( $builtit_features_dec_color).';}' : ''; 
	
	$css .= !empty($builtit_features_ad_color) ? '#builtit-'. $id .' .builtit-feature-box:after {background : '. esc_attr( $builtit_features_ad_color).';}' : ''; 
	
	$css .= !empty($builtit_features_ad_color) ? '#builtit-'. $id .' .builtit-feature-icon {border-color : '. esc_attr( $builtit_features_ad_color).';}' : '';
	
	$css .= !empty($builtit_features_bg_one) ? '#builtit-'. $id .' .builtit-feature-box {background : '. esc_attr( $builtit_features_bg_one).';}' : ''; 
	
	if($builtit_features_gradient == 'true'){
		$css .= !empty($builtit_features_bg_one && $builtit_features_bg_two) ? '#builtit-'. $id .' .builtit-feature-box {background : linear-gradient(-60deg, '. esc_attr( $builtit_features_bg_one).' 40%, '. esc_attr( $builtit_features_bg_two).');}' : '';
	}
	$css .= !empty($builtit_features_img_bg) ? '#builtit-'. $id .' .builtit-feature-icon {background : '. esc_attr( $builtit_features_img_bg).';}' : ''; 
	 
	$css .= !empty($builtit_features_img_hbg) ? '#builtit-'. $id .':hover .builtit-feature-icon {background : '. esc_attr( $builtit_features_img_hbg).';}' : '';
	
	global $builtit_internal_css;  
	$builtit_internal_css[] = $css;	 
	return $result;     
} 