<?php 
/**
 * Heading
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_heading','builtit_heading');
function builtit_heading($atts,$content){
    
    extract(shortcode_atts(
		array(
		'builtit_h_style' => 'builtit-style1',
		'builtit_heading' => '',
		'builtit_span_color' => '',
		'builtit_sub_heading' => '',
		'builtit_alignment' => 'builtit_a_left',
		'builtit_class' => '',
		'builtit_h_color' => '',
		'builtit_h_font_size' => '',
		'builtit_h_line' => '',
		'builtit_sh_color' => '',
		'builtit_sh_font_size' => '',
		'builtit_sh_line' => '',
		'builtit_sub_head_state' => '',
		'builtit_h_space' => '',
		'builtit_sh_transform' => '',
		'builtit_h_space' => '',
		'builtit_sh_space' => '',
		'builtit_h_border' => '',
		'builtit_h_border_w' => '',
		'builtit_h_bcolor' => '',
		'builtit_h_bstyle' => '',
		'builtit_h_br' => '',
		'builtit_h_bgcolor' => '',
		'builtit_h_sh_box_sh' => '',
		'builtit_h_sh_box' => '',	
		'builtit_h_padd' => '',
		'builtit_h_divider' => '',
		'builtit_h_dcolor' => '',
		'builtit_h_d_thik' => '2',
		'builtit_h_d_length' => '50',
		'builtit_h_divider_dot' => 'builtit-top-diver',
		'builtit_hh_transform' => '',
		'builtit_h_weight' => '',
		'builtit_sh_weight' => '',
		 ),$atts 
	 ) );
	$result = $css='';
	$id = uniqid();	
	$result.='<div class="builtit-heading-wrap" id="builtit-'. esc_attr($id) .'">'; 
	if($builtit_h_style == 'builtit-style1'){
		if($builtit_sub_head_state == 'bottom'){
			$result.='<div class="builtit-heading '. esc_attr($builtit_h_divider) .' '. esc_attr($builtit_alignment) .' '. esc_attr($builtit_h_style).' '. esc_attr($builtit_h_divider_dot) .' '. esc_attr($builtit_class) .'">';
						if(!empty($builtit_heading)){			
                            $result.='<h1>'. rawurldecode(base64_decode($builtit_heading)) .'</h1>';
						}
						if(!empty($builtit_sub_heading)){
							$result.='<p>'. esc_html( $builtit_sub_heading , 'built-it' ) .'</p>';
						}
            $result.='</div>'; 
		}else{
			$result.='<div class="builtit-heading '. esc_attr($builtit_h_divider) .' '. esc_attr($builtit_alignment) .' '. esc_attr($builtit_h_style).' '. esc_attr($builtit_h_divider_dot) .' '. esc_attr($builtit_class) .'">';
						if(!empty($builtit_sub_heading)){
							$result.='<p>'. esc_html( $builtit_sub_heading , 'built-it' ) .'</p>';
						}
						if(!empty($builtit_heading)){			
                            $result.='<h1>'. rawurldecode(base64_decode($builtit_heading)) .'</h1>';
						}
            $result.='</div>'; 
		}
	}elseif ($builtit_h_style == 'builtit-style2'){
		$result.='<div class="builtit-heading '. esc_attr($builtit_h_divider) .' '. esc_attr($builtit_h_style).' '. esc_attr($builtit_alignment) .' '. esc_attr($builtit_class) .'">';
						if(!empty($builtit_sub_heading)){
							$result.='<p>'. esc_html( $builtit_sub_heading , 'built-it' ) .'</p>';
						}
						if(!empty($builtit_heading)){			
                            $result.='<h1>'. rawurldecode(base64_decode($builtit_heading)) .'</h1>';
						}
            $result.='</div>'; 
	}else{
		if($builtit_sub_head_state == 'bottom'){
			$result.='<div class="builtit-heading '. esc_attr($builtit_h_divider) .' '. esc_attr($builtit_alignment) .' '. esc_attr($builtit_h_style).' '. esc_attr($builtit_h_divider_dot) .' '. esc_attr($builtit_class) .'">';
						if(!empty($builtit_heading)){			
                            $result.='<h1>'. rawurldecode(base64_decode($builtit_heading)) .'</h1>';
						}
						if(!empty($builtit_sub_heading)){
							$result.='<p>'. esc_html( $builtit_sub_heading , 'built-it' ) .'</p>';
						}
            $result.='</div>'; 
		}else{
			$result.='<div class="builtit-heading '. esc_attr($builtit_h_divider) .' '. esc_attr($builtit_alignment) .' '. esc_attr($builtit_h_style).' '. esc_attr($builtit_h_divider_dot) .' '. esc_attr($builtit_class) .'">';
						if(!empty($builtit_sub_heading)){
							$result.='<p>'. esc_html( $builtit_sub_heading , 'built-it' ) .'</p>';
						}
						if(!empty($builtit_heading)){			
                            $result.='<h1>'. rawurldecode(base64_decode($builtit_heading)) .'</h1>';
						} 
            $result.='</div>'; 
		}
	}
	$result.='</div>' ;
	
	$css .= !empty($builtit_h_color) ? '#builtit-'. $id .' .builtit-heading h1{color : '. esc_attr($builtit_h_color).';}' : '';	
	
	$css .= !empty($builtit_h_font_size) ? '#builtit-'. $id .' .builtit-heading h1{font-size : '. esc_attr($builtit_h_font_size).'px;}' : '';	
	
	$css .= !empty($builtit_h_line) ?  '#builtit-'. $id .' .builtit-heading h1{line-height : '. esc_attr($builtit_h_line).'px;}' : '';
	
	$css .= !empty($builtit_sh_color) ? '#builtit-'. $id .' .builtit-heading p{color : '. esc_attr($builtit_sh_color).';}' : '';	
	
	$css .= !empty($builtit_sh_font_size) ? '#builtit-'. $id .' .builtit-heading p{font-size : '. esc_attr($builtit_sh_font_size).'px;}' : '';
	
	$css .= !empty($builtit_sh_line) ? '#builtit-'. $id .' .builtit-heading p{line-height : '. esc_attr($builtit_sh_line).'px;}' : '';
	
	$css .= !empty($builtit_span_color) ? '#builtit-'. $id .' .builtit-heading h1 span {color : '. esc_attr($builtit_span_color).';}' : '';
	
	$css .= !empty($builtit_sh_adcolor) ? '#builtit-'. $id .' .builtit-heading.builtit-style3 p:before {background : '. esc_attr($builtit_sh_adcolor).';}' : '';
	
	$css .= !empty($builtit_hh_transform) ? '#builtit-'. $id .' .builtit-heading h1 {text-transform : '. esc_attr($builtit_hh_transform).';}' : '';
	
	$css .= !empty($builtit_sh_transform) ? '#builtit-'. $id .' .builtit-heading p {text-transform : '. esc_attr($builtit_sh_transform).';}' : '';  
	
	$css .= !empty($builtit_h_space) ? '#builtit-'. $id .' .builtit-heading h1 {letter-spacing : '. esc_attr($builtit_h_space).';}' : ''; 
	
	$css .= !empty($builtit_sh_space) ? '#builtit-'. $id .' .builtit-heading p {letter-spacing : '. esc_attr($builtit_sh_space).';}' : ''; 
	
	$css .= !empty($builtit_h_border_w) ? '#builtit-'. $id .' .builtit-heading h1 {border-width : '. esc_attr($builtit_h_border_w).';}' : '';
	
	$css .= !empty($builtit_h_bcolor) ? '#builtit-'. $id .' .builtit-heading h1 {border-color : '. esc_attr($builtit_h_bcolor).';}' : '';
	
	$css .= !empty($builtit_h_bstyle) ? '#builtit-'. $id .' .builtit-heading h1 {border-style : '. esc_attr($builtit_h_bstyle).';}' : '';
	 
	$css .= !empty($builtit_h_br) ? '#builtit-'. $id .' .builtit-heading h1 {border-radius : '. esc_attr($builtit_h_br).';}' : '';
	
	$css .= !empty($builtit_h_bgcolor) ? '#builtit-'. $id .' .builtit-heading h1 {background : '. esc_attr($builtit_h_bgcolor).';}' : '';
	
	$css .= !empty($builtit_h_sh_box) ? '#builtit-'. $id .' .builtit-heading h1 {box-shadow : '. esc_attr($builtit_h_sh_box).';}' : '';
	
	$css .= !empty($builtit_h_padd) ? '#builtit-'. $id .' .builtit-heading h1 {Padding : '. esc_attr($builtit_h_padd).';}' : '';

	$css .= !empty($builtit_h_weight) ? '#builtit-'. $id .' .builtit-heading h1 {font-weight : '. esc_attr($builtit_h_weight).';}' : '';
	
	$css .= !empty($builtit_sh_weight) ? '#builtit-'. $id .' .builtit-heading p {font-weight : '. esc_attr($builtit_sh_weight).';}' : '';
	
	if($builtit_h_divider == 'builtit-left' || $builtit_h_divider == 'builtit-right'){
	   $css .= !empty($builtit_h_d_thik) ? '#builtit-'. $id .' .builtit-heading.builtit-style1 h1:before, #builtit-'. $id .' .builtit-heading h1:after, #builtit-'. $id .' .builtit-heading.builtit-style3 p:before, #builtit-'. $id .' .builtit-heading.builtit-style3 p:after {width : '. esc_attr($builtit_h_d_thik).'px;}' : '';
	}
    if($builtit_h_divider == 'builtit-bottom' || $builtit_h_divider == 'builtit-h-right'){
	   $css .= !empty($builtit_h_d_length) ? '#builtit-'. $id .' .builtit-heading.builtit-style1 h1:before, #builtit-'. $id .' .builtit-heading h1:after, #builtit-'. $id .' .builtit-heading.builtit-style3 p:before, #builtit-'. $id .' .builtit-heading.builtit-style3 p:after {width : '. esc_attr($builtit_h_d_length).'px;}' : '';
	   $css .= !empty($builtit_h_d_thik) ? '#builtit-'. $id .' .builtit-heading.builtit-style1 h1:before, #builtit-'. $id .' .builtit-heading h1:after, #builtit-'. $id .' .builtit-heading.builtit-style3 p:before, #builtit-'. $id .' .builtit-heading.builtit-style3 p:after {height : '. esc_attr($builtit_h_d_thik).'px;}' : '';
	}
	if($builtit_h_divider == 'builtit-left' || $builtit_h_divider == 'builtit-right' || $builtit_h_divider == 'builtit-bottom' || $builtit_h_divider == 'builtit-h-right' || $builtit_h_divider == 'builtit-h-right-left' || $builtit_h_divider == 'builtit-h-right-left' ||  $builtit_h_divider == 'builtit-h-left'){    
        $css .= !empty($builtit_h_dcolor) ? '#builtit-'. $id .' .builtit-heading.builtit-style1 h1:before, #builtit-'. $id .' .builtit-heading h1:after , #builtit-'. $id .' .builtit-heading.builtit-style3 p:before, #builtit-'. $id .' .builtit-heading.builtit-style3 p:after{background : '. esc_attr($builtit_h_dcolor).';}' : '';
	}
	if($builtit_h_divider == 'builtit-dots'){
	    $css .= !empty($builtit_h_dcolor) ? '#builtit-'. $id .' .builtit-heading.builtit-style1 h1:before, #builtit-'. $id .' .builtit-heading h1:after , #builtit-'. $id .' .builtit-heading.builtit-style3 p:before, #builtit-'. $id .' .builtit-heading.builtit-style3 p:after{background-image : radial-gradient('. esc_attr($builtit_h_dcolor).' 3px,transparent 3px);}' : '';
	}
	if($builtit_h_divider == 'builtit-half_divder'){
	    $css .= !empty($builtit_h_dcolor) ? '#builtit-'. $id .' .builtit-heading.builtit-style1 h1:before, #builtit-'. $id .' .builtit-heading.builtit-style3 p:before {background : '. esc_attr($builtit_h_dcolor).';}' : '';
	}

	global $builtit_internal_css;
	$builtit_internal_css[] = $css;	
	return $result;   
} 

