<?php 
/**
 * Gallery
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_gallery','builtit_gallery');
function builtit_gallery($atts,$content){
    
    extract(shortcode_atts( 
		array( 
		'builtit_gallery_view' => 'builtit-display-grid',
		'builtit_gallery_style' => '',
		'builtit_gallery_item' => '8',
		'builtit_class' => '',
		'builtit_gallery_column' => 'builtit-column-3',
		'builtit_gallery_overlay_bg' => '',
		'builtit_gallery_icon_c' => '',
		'builtit_gallery_icon_bg' => '',
		'builtit_gallery_text_c' => '',
		'builtit_gallery_text_bg' => '',
		'builtit_gallery_autoplay' => '',
		'builtit_gallery_loop' => '',
		'builtit_gallery_nav' => '',
		'builtit_gallery_ac_bullet' => '',
		'builtit_gallery_inac_bullet' => '',
		'builtit_gallery_arro_color' => '',
		'builtit_gallery_arro_bg' => '',
		'builtit_gallery_arro_hcolor' => '',
		'builtit_gallery_arro_hbg' => '',
		'builtit_column_gap' => '',
		'builtit_gallery_speed' => '',
		'builtit_gallery_zoom' => '',
		'builtit_gallery_link' => '',
		'builtit_gallery_tittle' => '',
		 ),$atts 
	 ) );
	$result = $css = ''; 
	$id = uniqid();	
		$builtit_column = $builtit_gallery_column;
		if($builtit_column=='builtit-column-4'){
			$builtit_column = '4';
		}elseif($builtit_column=='builtit-column-5'){
			$builtit_column = '5';
		}elseif($builtit_column=='builtit-column-6'){
			$builtit_column = '6';
		}else{
			$builtit_column = '3';
		}
		
	$slidermeta = array( 'per_view' => $builtit_column, 'autoplay' => $builtit_gallery_autoplay, 'loop' => $builtit_gallery_loop, 'delay' => $builtit_gallery_speed);
	$result.='<div class="builtit-img-gallery-wrap '. esc_attr($builtit_class) .'" id="builtit-'. esc_attr($id) .'">';
		if($builtit_gallery_view == 'builtit-img-gallery-slider'){
			if($builtit_gallery_style == 'builtit-img-gallery-overlay'){
				$result.='<div class="builtit-img-gallery-slider builtit-slider-pagination builtit-slider-arrow builtit-img-gallery-overlay builtit-img-gallery3">
					<div class="swiper-container" data-slidermeta="'.esc_attr(json_encode($slidermeta)).'">
						<div class="swiper-wrapper">';
							query_posts(array(
								'post_type' => 'built_it_gallery',
								'posts_per_page' => $builtit_gallery_item,
								'orderby' => 'date', 
								'order' => 'ASC',
							));
							if (have_posts()) :
							while (have_posts()) : the_post();
								$result.='<div class="swiper-slide"> 
												<div class="builtit-gallery-img">';
												$post_id = get_the_ID();
												$image_url = wp_get_attachment_url( get_post_thumbnail_id($post_id) );
													$result.='<img src="'.esc_url($image_url).'" alt="'.esc_attr__('Gallery','built-it').'" class="img-responsive">
												<div class="builtit-gallery-icon">';
												if($builtit_gallery_zoom == 'true'){
												   $result.=' <a href="'.esc_url($image_url).'" class="builtit-magnific-image builtit-magnific-icon">
                                                        <i class="fas fa-search"></i>
                                                    </a>';
												}
												if($builtit_gallery_link == 'true'){
												   $result.=' <a href="'.esc_url(get_the_permalink()).'" class="builtit-magnific-icon">
                                                        <i class="fas fa-link"></i>
                                                    </a>';
												}
                                $result.='</div>
												</div>
											</div>';
								
							endwhile;
							endif;
							wp_reset_query();
						$result.='</div>';
				
						if($builtit_gallery_nav == 'bullets'){
							$result.='<div class="swiper-pagination"></div>';
						}elseif($builtit_gallery_nav == 'arrows'){
						$result.='<div class="swiper-button-prev">
                                    <i class="fas fa-arrow-left"></i>
                                </div>
                                <div class="swiper-button-next">
                                    <i class="fas fa-arrow-right"></i>
                                </div>';
						}
					$result.='</div>';	
					$result.='</div>';
			}elseif($builtit_gallery_style == 'builtit-img-gallery-overlay2'){
				$result.='<div class="builtit-img-gallery-slider builtit-slider-pagination builtit-slider-arrow builtit-img-gallery-overlay builtit-img-gallery2">
					<div class="swiper-container" data-slidermeta="'.esc_attr(json_encode($slidermeta)).'">
						<div class="swiper-wrapper">';
						query_posts(array(
								'post_type' => 'built_it_gallery',
								'posts_per_page' => $builtit_gallery_item,
								'orderby' => 'date', 
								'order' => 'ASC',
							));
						if (have_posts()) :
							while (have_posts()) : the_post();
								$result.=' <div class="swiper-slide"> 
												<div class="builtit-gallery-img">';
												$post_id = get_the_ID();
													$image_url = wp_get_attachment_url( get_post_thumbnail_id($post_id) );
													$result.='<img src="'.esc_url($image_url).'" alt="'.esc_attr__('Gallery','built-it').'" class="img-responsive">
								<div class="builtit-gallery-icon">';
								if($builtit_gallery_zoom == 'true'){
								     $result.='<a href="'.esc_url($image_url).'" class="builtit-magnific-image builtit-magnific-icon">
                                        <i class="fas fa-search"></i>
                                    </a>';
								}
								$result.='<div class="builtit-gallery-content">';
                                    if($builtit_gallery_tittle == 'true'){
                                        $result.='<span>'. esc_html(get_the_title()) .'</span>';
                                    }
                                    if($builtit_gallery_link == 'true'){
                                       $result.=' <a href="'.esc_url(get_the_permalink()).'" class="builtit-magnific-icon">
                                            <i class="fas fa-link"></i>
                                        </a>';
                                    }
                                    $result.=' </div>
                                </div>
												</div>
												
											</div>';
							endwhile;
						endif;
						wp_reset_query();
							$result.='</div>';
						if($builtit_gallery_nav == 'bullets'){
							$result.='<div class="swiper-pagination"></div>';
						}elseif($builtit_gallery_nav == 'arrows'){
						$result.='<div class="swiper-button-prev">
                                    <i class="fas fa-arrow-left"></i>
                                </div>
                                <div class="swiper-button-next">
                                    <i class="fas fa-arrow-right"></i>
                                </div>';
						}
					
					$result.='</div>
				</div>';
			}else{
				$result.='<div class="builtit-img-gallery-slider builtit-slider-pagination builtit-slider-arrow builtit-img-gallery1">
					<div class="swiper-container" data-slidermeta="'.esc_attr(json_encode($slidermeta)).'">
						<div class="swiper-wrapper">';
							query_posts(array(
								'post_type' => 'built_it_gallery',
								'posts_per_page' => $builtit_gallery_item,
								'orderby' => 'date', 
								'order' => 'ASC',
							));
						if (have_posts()) :
							while (have_posts()) : the_post();
								$result.=' <div class="swiper-slide"> 
												<div class="builtit-gallery-img">';
												$post_id = get_the_ID();
												$image_url = wp_get_attachment_url( get_post_thumbnail_id($post_id) );
											$result.='<img src="'.esc_url($image_url).'" alt="'.esc_attr__('Gallery','built-it').'" class="img-responsive">
												</div>
												
											</div>';
							endwhile;
						endif;		
						wp_reset_query();						
				$result.='</div>';
						if($builtit_gallery_nav == 'bullets'){
							$result.='<div class="swiper-pagination"></div>';
						}elseif($builtit_gallery_nav == 'arrows'){
						$result.='<div class="swiper-button-prev">
                                    <i class="fas fa-arrow-left"></i>
                                </div>
                                <div class="swiper-button-next">
                                    <i class="fas fa-arrow-right"></i>
                                </div>';
						}
					$result.='</div>
				</div>';
			}
		}else{
			if($builtit_gallery_style == 'builtit-img-gallery-overlay'){
				$result.='<div class="builtit-img-gallery-box '. $builtit_gallery_view .' '. $builtit_gallery_column .' '. $builtit_gallery_style .'">';
						query_posts(array(
								'post_type' => 'built_it_gallery',
								'posts_per_page' => $builtit_gallery_item,
								'orderby' => 'date', 
								'order' => 'ASC',
							));
							if (have_posts()) :
							while (have_posts()) : the_post();
								$result.='<div class="swiper-slide"> 
												<div class="builtit-gallery-img">';
												$post_id = get_the_ID();
												$image_url = wp_get_attachment_url( get_post_thumbnail_id($post_id) );
													$result.='<img src="'.esc_url($image_url).'" alt="'.esc_attr__('Gallery','built-it').'" class="img-responsive">
												<div class="builtit-gallery-icon">
                                    <a href="'.esc_url($image_url).'" class="builtit-magnific-image builtit-magnific-icon">
                                       <i class="fas fa-search"></i>
                                    </a>
                                    <a href="'.esc_url(get_the_permalink()).'" class="builtit-magnific-icon">
                                        <i class="fas fa-link"></i>
                                    </a>
                                </div>
												</div>
												
											</div>';
								
							endwhile;
							endif;
							wp_reset_query();
				$result.='</div>';
			}elseif($builtit_gallery_style == 'builtit-img-gallery-overlay2'){
				$result.='<div class="builtit-img-gallery-box builtit-img-gallery-overlay '. $builtit_gallery_view .' '. $builtit_gallery_column .'">';
						query_posts(array(
								'post_type' => 'built_it_gallery',
								'posts_per_page' => $builtit_gallery_item,
								'orderby' => 'date', 
								'order' => 'ASC',
							));
						if (have_posts()) :
							while (have_posts()) : the_post();
								$result.=' <div class="swiper-slide"> 
												<div class="builtit-gallery-img">';
												$post_id = get_the_ID();
													$image_url = wp_get_attachment_url( get_post_thumbnail_id($post_id) );
													$result.='<img src="'.esc_url($image_url).'" alt="'.esc_attr__('Gallery','built-it').'" class="img-responsive">
								<div class="builtit-gallery-icon">
                                    <a href="'.esc_url($image_url).'" class="builtit-magnific-image builtit-magnific-icon">
                                        <i class="fas fa-search"></i>
                                    </a>
                                    <div class="builtit-gallery-content">
                                        <span>'. esc_html(get_the_title()) .'</span>
                                        <a href="'.esc_url(get_the_permalink()).'" class="builtit-magnific-icon">
                                            <i class="fas fa-link"></i>
                                        </a>
                                    </div>
                                </div>
												</div>
												
											</div>';
							endwhile;
						endif;
						wp_reset_query();
				$result.='</div>';
			}else{
				$result.='<div class="builtit-img-gallery-box '. $builtit_gallery_view .' '. $builtit_gallery_column .'">';
						query_posts(array(
								'post_type' => 'built_it_gallery',
								'posts_per_page' => $builtit_gallery_item,
								'orderby' => 'date', 
								'order' => 'ASC',
							));
						if (have_posts()) :
							while (have_posts()) : the_post();
								$result.=' <div class="swiper-slide"> 
												<div class="builtit-gallery-img">';
												$post_id = get_the_ID();
												$image_url = wp_get_attachment_url( get_post_thumbnail_id($post_id) );
											$result.='<img src="'.esc_url($image_url).'" alt="'.esc_attr__('Gallery','built-it').'" class="img-responsive">
												</div>
												
											</div>';
							endwhile;
						endif;
						wp_reset_query();
				$result.='</div>';
			}
		}
	$result.='</div>';
	
	$css .= !empty($builtit_gallery_overlay_bg) ? '#builtit-'. $id .' .builtit-img-gallery-overlay .builtit-gallery-img:after {background : '. esc_attr($builtit_gallery_overlay_bg).';}' : ''; 
	
	$css .= !empty($builtit_gallery_icon_bg) ? '#builtit-'. $id .' .builtit-magnific-icon {background : '. esc_attr($builtit_gallery_icon_bg).';}' : '';
	
	$css .= !empty($builtit_gallery_icon_c) ? '#builtit-'. $id .' .builtit-magnific-icon {color : '. esc_attr($builtit_gallery_icon_c).';}' : '';
	
	$css .= !empty($builtit_gallery_text_c) ? '#builtit-'. $id .' .builtit-gallery-content span {color : '. esc_attr($builtit_gallery_text_c).';}' : '';
	
	$css .= !empty($builtit_gallery_text_bg) ? '#builtit-'. $id .' .builtit-gallery-content {background : '. esc_attr($builtit_gallery_text_bg).';}' : '';
	
	$css .= !empty($builtit_column_gap) ? '#builtit-'. $id .' .builtit-img-gallery-box {grid-gap : '. esc_attr($builtit_column_gap).'px;}' : '';
	 
	$css .= !empty($builtit_gallery_arro_bg) ? '#builtit-'. $id .' .swiper-button-prev, #builtit-'. $id .' .swiper-button-next {background : '. esc_attr($builtit_gallery_arro_bg).';}' : '';
	
	$css .= !empty($builtit_gallery_arro_color) ? '#builtit-'. $id .' .swiper-button-prev i, #builtit-'. $id .' .swiper-button-next i {color : '. esc_attr($builtit_gallery_arro_color).';}' : '';
	
	$css .= !empty($builtit_gallery_arro_color) ? '#builtit-'. $id .' .swiper-button-prev:after, #builtit-'. $id .' .swiper-button-next:after {border-color : '. esc_attr($builtit_gallery_arro_color).';}' : '';
	
	$css .= !empty($builtit_gallery_arro_hcolor) ? '#builtit-'. $id .' .swiper-button-prev:hover:after, #builtit-'. $id .' .swiper-button-next:hover:after {border-color : '. esc_attr($builtit_gallery_arro_hcolor).';}' : '';
	
	$css .= !empty($builtit_gallery_arro_hbg) ? '#builtit-'. $id .' .swiper-button-prev:hover, #builtit-'. $id .' .swiper-button-next:hover {background : '. esc_attr($builtit_gallery_arro_hbg).';}' : '';
	
	$css .= !empty($builtit_gallery_arro_hcolor) ? '#builtit-'. $id .' .swiper-button-prev:hover i, #builtit-'. $id .' .swiper-button-next:hover i {color : '. esc_attr($builtit_gallery_arro_hcolor).';}' : '';
	
	$css .= !empty($builtit_gallery_inac_bullet) ? '#builtit-'. $id .' .swiper-pagination .swiper-pagination-bullet {background : '. esc_attr($builtit_gallery_inac_bullet).';}' : '';
	
	$css .= !empty($builtit_gallery_ac_bullet) ? '#builtit-'. $id .' .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {background : '. esc_attr($builtit_gallery_ac_bullet).';}' : ''; 
	
	global $builtit_internal_css;  
	$builtit_internal_css[] = $css;
	return $result;     
} 