<?php 
/**
 * Notification
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_notify','builtit_notify');
function builtit_notify($atts,$content){
    extract(shortcode_atts( 
		array( 
		'builtit_notify_style' => 'builtit-notification-style1',
		'builtit_notify_type' => 'builtit-danger',
		'builtit_notify_tittle' => '',
		'builtit_notify_des' => '',
		'builtit_notify_icon' => '',
		'builtit_class' => '',
		'builtit_notify_tittle_color' => '',
		'builtit_notify_des_color' => '',
		'builtit_notify_btn_color' => '',
		'builtit_notify_box_color' => '',
		'builtit_notify_box_border' => '',
		'builtit_notify_box_bcolor' => '',
		'builtit_notify_box_bstyle' => '',
		'builtit_notify_box_box_br' => '',
		'builtit_notify_box_box_shw' => '',
		'builtit_notify_extra_color' => '',
		'builtit_notify_icon_color' => '',
		'builtit_notify_icon_bg' => '',
		'builtit_notify_icon_hcolor' => '',
		'builtit_notify_icon_hbg' => '',
		 ),$atts 
	 ) );  
	$result = $css = ''; 
	$id = uniqid();	
	$result.='<div class="builtit-notification-box '. esc_attr($builtit_notify_style) .' '. esc_attr($builtit_notify_type) .' '. esc_attr($builtit_class) .'" id="builtit-'. esc_attr($id) .'">';
			if(!empty($builtit_notify_icon)){
				$result.='<div class="builtit-notification-icon">
                    <i class="'. esc_attr($builtit_notify_icon) .'"></i>
				</div>';
			}  
		if(!empty($builtit_notify_tittle) || !empty($builtit_notify_des)){
			$result.='<div class="builtit-notification-text">';
				if(!empty($builtit_notify_tittle)){
					$result.='<h4>'. esc_html($builtit_notify_tittle) .'</h4>';
				}
				if(!empty($builtit_notify_des)){
					$result.='<p>'. esc_html($builtit_notify_des) .'</p>';
				}					 
			$result.='</div>';
		}
		$result.='<div class="builtit-notification-close">
            <i class="fas fa-times"></i>
        </div>';
	$result.='</div>';
	
	$css .= !empty($builtit_notify_tittle_color) ? '#builtit-'. $id .' .builtit-notification-text h4 {color : '. esc_attr($builtit_notify_tittle_color).';}' : ''; 
	
	$css .= !empty($builtit_notify_des_color) ? '#builtit-'. $id .' .builtit-notification-text p {color : '. esc_attr($builtit_notify_des_color).';}' : ''; 
	
	$css .= !empty($builtit_notify_btn_color) ? '#builtit-'. $id .' .builtit-notification-close i {color : '. esc_attr($builtit_notify_btn_color).';}' : ''; 
	
	$css .= !empty($builtit_notify_icon_color) ? '#builtit-'. $id .' .builtit-notification-icon i {color : '. esc_attr($builtit_notify_icon_color).';}' : ''; 
	
	$css .= !empty($builtit_notify_icon_bg) ? '#builtit-'. $id .' .builtit-notification-icon i {background : '. esc_attr($builtit_notify_icon_bg).';}' : ''; 
	
	$css .= !empty($builtit_notify_extra_color) ? '#builtit-'. $id .':before {background : '. esc_attr($builtit_notify_extra_color).';}' : ''; 
	
	$css .= !empty($builtit_notify_box_color) ? '#builtit-'. $id .' {background : '. esc_attr($builtit_notify_box_color).';}' : ''; 
	
	$css .= !empty($builtit_notify_box_border) ? '#builtit-'. $id .' {border-width : '. esc_attr($builtit_notify_box_border).';}' : ''; 
	
	$css .= !empty($builtit_notify_box_bcolor) ? '#builtit-'. $id .' {border-color : '. esc_attr($builtit_notify_box_bcolor).';}' : ''; 
	
	$css .= !empty($builtit_notify_box_bstyle) ? '#builtit-'. $id .' {border-style : '. esc_attr($builtit_notify_box_bstyle).';}' : ''; 
	
	$css .= !empty($builtit_notify_box_box_br) ? '#builtit-'. $id .' {border-radius : '. esc_attr($builtit_notify_box_box_br).';}' : ''; 
	
	$css .= !empty($builtit_notify_box_box_shw) ? '#builtit-'. $id .' {box-shadow : '. esc_attr($builtit_notify_box_box_shw).';}' : '';
	
	$css .= !empty($builtit_notify_icon_hcolor) ? '#builtit-'. $id .':hover .builtit-notification-icon i {color : '. esc_attr($builtit_notify_icon_hcolor).';}' : ''; 
	
	$css .= !empty($builtit_notify_icon_hbg) ? '#builtit-'. $id .':hover .builtit-notification-icon i {background : '. esc_attr($builtit_notify_icon_hbg).';}' : '';	
	
	global $builtit_internal_css;
	$builtit_internal_css[] = $css;
	return $result; 
} 