<?php 
/**
 * Play Button
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_play_button','builtit_play_button');
function builtit_play_button($atts,$content){
    
    extract(shortcode_atts( 
		array( 
		'builtit_play_btn_view' => 'builtit-play-icon1',
		'builtit_play_btn_icon' => '',
		'builtit_play_btn_show' => '',
		'builtit_play_btn_tittle' => '',
		'builtit_play_btn_video_link' => '',
		'builtit_class' => '',
		'builtit_play_btn_icon_color' => '',
		'builtit_play_btn_tittle_color' => '',
		'builtit_play_btn_gradient' => '',
		'builtit_play_btn_bg' => '',
		'builtit_play_btn_bg2' => '',
		'builtit_play_btn_border' => '',
		'builtit_play_btn_style' => '',
		'builtit_play_btn_color' => '',
		'builtit_play_btn_hcolor' => '',
		'builtit_play_btn_r' => '',
		'builtit_play_btn_box_shw' => '',
		'builtit_play_btn_box_shw_s' => '',
		'builtit_play_popup_btnc' => '',	
		'builtit_play_popup_btn_bg' => '',
		'builtit_play_popup_b_color' => '',
		'builtit_play_popup_border' => '',
		'builtit_play_popup_b_r' => '',
		'builtit_play_popup_bg_scr' => '', 
		'builtit_play_btn_icon_font' => '',
		'builtit_play_btn_tittle_bg_color' => '',		
		 ),$atts 
	 ) );  
	$result = $css = ''; 
	$id = uniqid();
	$popmeta = array('popid' => $id, 'btn_color' => $builtit_play_popup_btnc, 'btn_bg' => $builtit_play_popup_btn_bg, 'border' => $builtit_play_popup_border, 'bcolor' => $builtit_play_popup_b_color, 'radius' => $builtit_play_popup_b_r, 'screen' => $builtit_play_popup_bg_scr); 
	$result.='<div class="builtit-play-btn-wrapper '. $builtit_class .'" id="builtit-'. esc_attr($id) .'">';
	if($builtit_play_btn_view == 'builtit-play-icon2'){
		$result.='<div class="builtit-play-btn">
			<a href="'. esc_url($builtit_play_btn_video_link) .'" class="builtit-popup-video '. esc_attr($builtit_play_btn_view) .'" data-popmeta="'.esc_attr(json_encode($popmeta)).'">';
				if(!empty($builtit_play_btn_icon)){
					$result.='<i class="'. esc_attr($builtit_play_btn_icon) .'"></i>';
				}else{
					$result.='<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 341.759 341.759">
                                <path d="M203.751,150.038L48.477,16.089C21.648-7.056,0,2.946,0,38.322v265.113c0,35.456,21.704,45.332,48.477,22.24
                                        l155.274-133.928C217.087,180.244,217.103,161.557,203.751,150.038z M42.667,274.341V67.425l119.938,103.466L42.667,274.341z"></path>
                                    <path d="M331.751,150.038L176.477,16.089c-24.893-21.474-45.326-14.413-48.145,14.975l95.914,82.904l65.986,56.823
                                        l-106.408,91.632l-55.501,48.172c2.784,29.532,23.282,36.534,48.155,15.08l155.274-133.928
                                        C345.087,180.244,345.103,161.557,331.751,150.038z"></path>
                    </svg>';
				}
				if($builtit_play_btn_show == 'true'){
					if(!empty($builtit_play_btn_show)){
							$result.='<span>'. esc_html($builtit_play_btn_tittle) .'</span>';
						}
					}
				$result.='</a>
			</div>';
		} elseif($builtit_play_btn_view == 'builtit-play-icon3'){
			$result.='<div class="builtit-play-btn">';
					$result.='<a href="'. esc_url($builtit_play_btn_video_link) .'" class="builtit-popup-video '. esc_attr($builtit_play_btn_view) .'" data-popmeta="'.esc_attr(json_encode($popmeta)).'">';
					if(!empty($builtit_play_btn_icon)){
						$result.='<i class="'. esc_attr($builtit_play_btn_icon) .'"></i>';
					}else{
						$result.='<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 494.148 494.148">  
                                    <path d="M405.284,201.188L130.804,13.28C118.128,4.596,105.356,0,94.74,0C74.216,0,61.52,16.472,61.52,44.044v406.124
                                    c0,27.54,12.68,43.98,33.156,43.98c10.632,0,23.2-4.6,35.904-13.308l274.608-187.904c17.66-12.104,27.44-28.392,27.44-45.884
                                    C432.632,229.572,422.964,213.288,405.284,201.188z"></path>
                                </svg>';
					}
					if($builtit_play_btn_show == 'true'){
						if(!empty($builtit_play_btn_show)){
							$result.='<span>'. esc_html($builtit_play_btn_tittle) .'</span>';
						}
					}
					
				$result.='</a>';
			$result.='</div>';
		}else { 
			$result.='<div class="builtit-play-btn">'; 
					$result.='<a href="'. esc_url($builtit_play_btn_video_link) .'" class="builtit-popup-video '. esc_attr($builtit_play_btn_view) .'" data-popmeta="'.esc_attr(json_encode($popmeta)).'">';
					if(!empty($builtit_play_btn_icon)){
						$result.='<i class="'. esc_attr($builtit_play_btn_icon) .'"></i>';
					}else{
						$result.='<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 494.148 494.148">  
                                    <path d="M405.284,201.188L130.804,13.28C118.128,4.596,105.356,0,94.74,0C74.216,0,61.52,16.472,61.52,44.044v406.124
                                    c0,27.54,12.68,43.98,33.156,43.98c10.632,0,23.2-4.6,35.904-13.308l274.608-187.904c17.66-12.104,27.44-28.392,27.44-45.884
                                    C432.632,229.572,422.964,213.288,405.284,201.188z"></path>
                                </svg>';
					}
					if($builtit_play_btn_show == 'true'){
						if(!empty($builtit_play_btn_show)){
							$result.='<span>'. esc_html($builtit_play_btn_tittle) .'</span>';
						}
					}
			    $result.='</a>'; 
			$result.='</div>'; 
				} 
	$result.='</div>';
	
	$css .= !empty($builtit_play_btn_icon_color) ? '#builtit-'. $id .' .builtit-play-btn i, #builtit-'. $id .' .builtit-play-btn svg {color : '. esc_attr($builtit_play_btn_icon_color).';}' : '';
	
	$css .= !empty($builtit_play_btn_icon_color) ? '#builtit-'. $id .' .builtit-play-btn svg {fill : '. esc_attr($builtit_play_btn_icon_color).';}' : '';
	
	$css .= !empty($builtit_play_btn_tittle_color) ? '#builtit-'. $id .' .builtit-play-btn span {color : '. esc_attr($builtit_play_btn_tittle_color).';}' : '';
	
	$css .= !empty($builtit_play_btn_tittle_bg_color) ? '#builtit-'. $id .' .builtit-play-btn span {background : '. esc_attr($builtit_play_btn_tittle_bg_color).';}' : '';
	
	if($builtit_play_btn_gradient == 'true'){
		$css .= !empty($builtit_play_btn_bg) && !empty($builtit_play_btn_bg2) ? '#builtit-'. $id .' .builtit-play-icon1, #builtit-'. $id .' .builtit-play-icon3, #builtit-'. $id .' .builtit-play-icon4 {background : linear-gradient(45deg, '. esc_attr($builtit_play_btn_bg) .', '. esc_attr($builtit_play_btn_bg2) .');}' : '';
	}else{
		$css .= !empty($builtit_play_btn_bg) ? '#builtit-'. $id .' .builtit-play-icon1, #builtit-'. $id .' .builtit-play-icon3, #builtit-'. $id .' .builtit-play-icon4 {background : '. esc_attr($builtit_play_btn_bg) .';}' : '';
	} 
	
	$css .= !empty($builtit_play_btn_bg) ? '#builtit-'. $id .' .builtit-play-icon2:after, #builtit-'. $id .' .builtit-play-icon2:before {border-left-color : '. esc_attr($builtit_play_btn_bg) .';}' : '';
	
	$css .= !empty($builtit_play_btn_border) ? '#builtit-'. $id .' .builtit-play-icon1, #builtit-'. $id .' .builtit-play-icon3, #builtit-'. $id .' .builtit-play-icon4 {border-width : '. esc_attr($builtit_play_btn_border) .';}' : '';
	
	$css .= !empty($builtit_play_btn_style) ? '#builtit-'. $id .' .builtit-play-icon1, #builtit-'. $id .' .builtit-play-icon3, #builtit-'. $id .' .builtit-play-icon4 {border-style : '. esc_attr($builtit_play_btn_style) .' ;}' : '';
	
	$css .=  !empty($builtit_play_btn_color)? '#builtit-'. $id .' .builtit-play-icon1, #builtit-'. $id .' .builtit-play-icon3, #builtit-'. $id .' .builtit-play-icon4 {border-color : '. esc_attr($builtit_play_btn_color) .' ;}' : '';
	
	$css .= !empty($builtit_play_btn_hcolor) ? '#builtit-'. $id .':hover .builtit-play-icon1, #builtit-'. $id .':hover .builtit-play-icon3, #builtit-'. $id .':hover .builtit-play-icon4 {border-color : '. esc_attr($builtit_play_btn_hcolor) .' ;}' : '';
	
	$css .= !empty($builtit_play_btn_r) ? '#builtit-'. $id .' .builtit-play-icon1, #builtit-'. $id .' .builtit-play-icon3, #builtit-'. $id .' .builtit-play-icon4 {border-radius : '. esc_attr($builtit_play_btn_r) .' ;}' : '';
	
	if($builtit_play_btn_box_shw_s == 'Outset'){
		$css .= !empty($builtit_play_btn_box_shw) ? '#builtit-'. $id .' .builtit-play-icon3, #builtit-'. $id .' .builtit-play-icon1{box-shadow : '. esc_attr($builtit_play_btn_box_shw) .' ;}' : '';
	}
	if($builtit_play_btn_box_shw_s == 'Inset'){
		$css .= !empty($builtit_play_btn_box_shw) ? '#builtit-'. $id .' .builtit-play-icon3 svg, #builtit-'. $id .' .builtit-play-icon3 i, #builtit-'. $id .' .builtit-play-icon1 svg, #builtit-'. $id .' .builtit-play-icon1 i {box-shadow : '. esc_attr($builtit_play_btn_box_shw) .' ;}' : '';
	}
		
	$css .= !empty($builtit_play_btn_icon_font) ? '#builtit-'. $id .' .builtit-popup-video i {font-size : '. esc_attr($builtit_play_btn_icon_font) .'px;}' : '';
	
	global $builtit_internal_css;
	$builtit_internal_css[] = $css;
	return $result;     
} 