<?php 
/**
 * Pricing
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_pricing','builtit_pricing');
function builtit_pricing($atts,$content){
    extract(shortcode_atts( 
		array( 
		'builtit_pricing_style' => 'builtit-price-style1',
		'builtit_pricing_p_name' => '',
		'builtit_pricing_c_symbol' => '',
		'builtit_pricing_img' => '',
		'builtit_pricing_price' => '',
		'builtit_pricing_time' => '',
		'builtit_pricing_tittle_sub' => '',
		'builtit_class' => '',
		'builtit_pricing_desc' => '',
		'builtit_pricing_text_color' => '',
		'builtit_pricing_icon_color' => '',
		'builtit_pricing_icon_bgcolor' => '',
		'builtit_pricing_btn_tittle' => '',
		'builtit_pricing_btn_link' => '',
		'builtit_pricing_tab_open' => '',
		'builtit_pricing_btn_color' => '',
		'builtit_pricing_btn_bg_color' => '',
		'builtit_pricing_border_s' => '',
		'builtit_pricing_btn_border' => '',
		'builtit_pricing_btn_b_color' => '',
		'builtit_pricing_btn_bstyle' => '',
		'builtit_pricing_btn_br' => '',
		'builtit_pricing_btn_hcolor' => '',
		'builtit_pricing_btn_hbg_color' => '',
		'builtit_pricing_btn_h_bcolor' => '',
		'builtit_pricing_btn_hsho' => '',
		'builtit_pricing_box_tcolor' => '',
		'builtit_pricing_box_gt' => '',
		'builtit_pricing_box_bgcolor' => '',
		'builtit_pricing_box_bgcolor_two' => '',
		'builtit_pricing_box_bcolor' => '',
		'builtit_pricing_box_border' => '',
		'builtit_pricing_box_bstyle' => '',
		'builtit_pricing_box_br' => '',
		'builtit_pricing_box_sho' => '',
		'builtit_pricing_box_adcolor' => '',
		'builtit_pricing_box_lcolor' => '',
		'builtit_pricing_box_sadcolor' => '',
		'builtit_pricing_month' => '',
		'builtit_pricing_mtittle' => '',
		'builtit_pricing_mst' => '',
		'builtit_pricing_msybol' => '',
		'builtit_pricing_mprice' => '',
		'builtit_pricing_mtime' => '',
		'builtit_pricing_year' => '',
		'builtit_pricing_ytittle' => '',
		'builtit_pricing_yst' => '',
		'builtit_pricing_ysybol' => '',
		'builtit_pricing_yprice' => '',
		'builtit_pricing_ytime' => '',
		'builtit_pricing_p_tittle' => '',
		'builtit_pricing_p_icon' => '',
		 ),$atts 
	 ) );   
	$result = $css = ''; 
	$id = uniqid();	
	$i = $j = 0; 
	$imageSrc = wp_get_attachment_image_src($builtit_pricing_img, 'full');
	if(!empty($builtit_pricing_month)){
	    $builtit_pricing_month = (array) vc_param_group_parse_atts($atts['builtit_pricing_month']);
	}
	if(!empty($builtit_pricing_year)){
	    $builtit_pricing_year = (array) vc_param_group_parse_atts($atts['builtit_pricing_year']);
	}
	if(!empty($builtit_pricing_desc)){
	   $builtit_pricing_desc = (array) vc_param_group_parse_atts($atts['builtit_pricing_desc']);
	}
	$result.='<div class="builtit-price-wrapper" id="builtit-'. esc_attr($id) .'">';
		if($builtit_pricing_style == 'builtit-price-style1'){ 
			$result.='<div class="builtit-price-box '. esc_attr($builtit_pricing_style) .'">
					<div class="builtit-price-header">';
						if(!empty($builtit_pricing_p_name)){
							$result.='<h3>'. esc_html($builtit_pricing_p_name) .'</h3>'; 
						}
						$result.='<div class="builtit-price">';
							if(!empty($builtit_pricing_c_symbol) || !empty($builtit_pricing_price) || !empty($builtit_pricing_time)){
								$result.='<h2>';
									if(!empty($builtit_pricing_c_symbol)){
										$result.='<span class="builtit-price-symbol">'. esc_html($builtit_pricing_c_symbol) .'</span>';
									}
									if(!empty($builtit_pricing_price)){
										$result.='<span class="builtit-price-rate">'. esc_html($builtit_pricing_price) .'</span> ';
									}
									if(!empty($builtit_pricing_time)){
										$result.='<span class="builtit-price-time">/'. esc_html($builtit_pricing_time) .'</span>';
									}
								$result.='</h2>';
							}
						$result.='</div>
					</div>
					<div class="builtit-price-body">';
						if(!empty($builtit_pricing_tittle_sub)){
							$result.='<h3 class="builtit-plabuiltit-name">'. esc_html($builtit_pricing_tittle_sub) .'</h3>';
						}
					    $result.='<ul>';
						foreach ($builtit_pricing_desc as $item) {
						    if(!empty($item['builtit_pricing_p_icon']) || !empty($item['builtit_pricing_p_tittle'])){
							$result.='<li>';
							    if(!empty($item['builtit_pricing_p_icon'])){
							        $result.='<i class="'. esc_attr($item['builtit_pricing_p_icon']) .'"></i>';
							    }
							    $result.=''. esc_html($item['builtit_pricing_p_tittle']) .'
                                    </li>';
						    }
						}
						$result.='</ul>
                    </div>
					<div class="builtit-price-footer">';
						if(!empty($builtit_pricing_btn_tittle)){
							$result.='<a href="'. esc_url($builtit_pricing_btn_link) .'"';
								if($builtit_pricing_tab_open == true){
								$result.='target="_blank"';	
								}
								$result.='>'. esc_html($builtit_pricing_btn_tittle) .'</a>';
							}
                    $result.='</div>
			</div>';
		}elseif($builtit_pricing_style == 'builtit-price-style2'){
			$result.='<div class="builtit-price-box '. esc_attr($builtit_pricing_style) .'">
				<div class="builtit-price-header">';
						if(!empty($builtit_pricing_p_name)){
							$result.='<h3>'. esc_html($builtit_pricing_p_name) .'</h3>';
						}
						if(!empty($builtit_pricing_p_name)){
							$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Team','built-it').'">';
						}
				$result.='</div>
				<div class="builtit-price-body">';
					$result.='<ul>';
						foreach ($builtit_pricing_desc as $item) {
						    if(!empty($item['builtit_pricing_p_icon']) || !empty($item['builtit_pricing_p_tittle'])){
							$result.='<li>';
							    if(!empty($item['builtit_pricing_p_icon'])){
							        $result.='<i class="'. esc_attr($item['builtit_pricing_p_icon']) .'"></i>';
							    }
							    $result.=''. esc_html($item['builtit_pricing_p_tittle']) .'
                                    </li>';
						    }
						}
						$result.='</ul>
				</div>
				 <div class="builtit-price-footer">';
                    $result.='<div class="builtit-price">';
							if(!empty($builtit_pricing_c_symbol) || !empty($builtit_pricing_price) || !empty($builtit_pricing_time)){
								$result.='<h2>';
									if(!empty($builtit_pricing_c_symbol)){
										$result.='<span class="builtit-price-symbol">'. esc_html($builtit_pricing_c_symbol) .'</span>';
									}
									if(!empty($builtit_pricing_price)){
										$result.='<span class="builtit-price-rate">'. esc_html($builtit_pricing_price) .'</span> ';
									}
									if(!empty($builtit_pricing_time)){
										$result.='<span class="builtit-price-time">/'. esc_html($builtit_pricing_time) .'</span>';
									}
								$result.='</h2>';
							}
						$result.='</div>';
                            if(!empty($builtit_pricing_btn_tittle)){
							$result.='<a href="'. esc_url($builtit_pricing_btn_link) .'"';
								if($builtit_pricing_tab_open == true){
								$result.='target="_blank"';	
								}
								$result.='>'. esc_html($builtit_pricing_btn_tittle) .'</a>';
							}
                        $result.='</div>';
			$result.='</div>';
		} elseif($builtit_pricing_style == 'builtit-price-style3'){
			$result.='<div class="builtit-price-box '. esc_attr($builtit_pricing_style) .'">
				 <div class="builtit-price-header">
					<div class="builtit-price">';
						if(!empty($builtit_pricing_c_symbol) || !empty($builtit_pricing_price) || !empty($builtit_pricing_time)){
								$result.='<h2>';
									if(!empty($builtit_pricing_c_symbol)){
										$result.='<span class="builtit-price-symbol">'. esc_html($builtit_pricing_c_symbol) .'</span>';
									}
									if(!empty($builtit_pricing_price)){
										$result.='<span class="builtit-price-rate">'. esc_html($builtit_pricing_price) .'</span> ';
									}
									if(!empty($builtit_pricing_time)){
										$result.='<span class="builtit-price-time">/'. esc_html($builtit_pricing_time) .'</span>';
									}
								$result.='</h2>';
							}
				 $result.='</div>
				 </div>
				 <div class="builtit-price-body">';
					if(!empty($builtit_pricing_p_name)){
							$result.='<h3 class="builtit-plabuiltit-name">'. esc_html($builtit_pricing_p_name) .'</h3>';
						}
						$result.='<ul>';
						foreach ($builtit_pricing_desc as $item) {
						    if(!empty($item['builtit_pricing_p_icon']) || !empty($item['builtit_pricing_p_tittle'])){
							$result.='<li>';
							    if(!empty($item['builtit_pricing_p_icon'])){
							        $result.='<i class="'. esc_attr($item['builtit_pricing_p_icon']) .'"></i>';
							    }
							    $result.=''. esc_html($item['builtit_pricing_p_tittle']) .'
                                    </li>';
						    }
						}
						$result.='</ul>
						</div>
				<div class="builtit-price-footer">';
					if(!empty($builtit_pricing_btn_tittle)){
						$result.='<a class="builtit-btn builtit-btn-default" href="'. esc_url($builtit_pricing_btn_link) .'"';
							if($builtit_pricing_tab_open == true){
								$result.='target="_blank"';	
							}
							$result.='>
							<span class="builtit-btn-icon-left"><i class="fas fa-dollar-sign"></i></span> Buy Now</a>';
							}
						$result.='</div>
				</div>';
		}else{
			$result.='<div class="row style_4"><div class="col-lg-6">
				<div class="builtit-price-box '. esc_attr($builtit_pricing_style) .'">
					<div class="builtit-price-body">
					<ul class="nav builtit-price-tab">
                                    <li class="nav-item">
                                        <a class="active" data-toggle="tab" href="#month">'. esc_html('Month', 'built-it') .'</a>
                                    </li>
                                    <li class="nav-item">
                                        <a data-toggle="tab" href="#year">'. esc_html('Year', 'built-it') .'</a>
                                    </li>
                                </ul>
                                <ul>';
						foreach ($builtit_pricing_desc as $item) {
						    if(!empty($item['builtit_pricing_p_icon']) || !empty($item['builtit_pricing_p_tittle'])){
							$result.='<li>
						        '. esc_html($item['builtit_pricing_p_tittle']) .'';
							    if(!empty($item['builtit_pricing_p_icon'])){
							        $result.='<i class="'. esc_attr($item['builtit_pricing_p_icon']) .'"></i>';
							    }
                                   $result.=' </li>';
						    }
						}
						$result.='</ul>
						</div>';
				$result.='</div>';
			$result.='</div>';
			$result.='<div class="col-lg-6">
                        <div class="builtit-price-box '. esc_attr($builtit_pricing_style) .'">
                            <div class="builtit-price-list tab-content">';
							$result.='<ul class="tab-pane fade show active" id="month">';
							foreach ($builtit_pricing_month as $item) {
								if ($j == 0) {
									$sentence = $item['builtit_pricing_mtittle'];
									$arr1 = explode(' ',trim($sentence));
									$result.='<li>
											<label class="builtit-price-check" for="m-'.esc_attr($arr1[0]).'">
												<input type="radio" id="m-'.esc_attr($arr1[0]).'" name="ns_price">
												<span class="builtit-price-checkbox"></span>';
												
												$result.='<h3 class="builtit-plabuiltit-name">'. esc_html($item['builtit_pricing_mtittle']) .'
													<span>'. esc_html($item['builtit_pricing_mst']) .'</span>
												</h3>
										<div class="builtit-price">
										<h2>
										<span class="builtit-price-symbol">'. esc_html($item['builtit_pricing_msybol']) .'</span><span class="builtit-price-rate">'. esc_html($item['builtit_pricing_mprice']) .'</span> <span class="builtit-price-time">/'. esc_html($item['builtit_pricing_mtime']) .'</span></h2></div>
                                        </label>
                                    </li>';
								}
							}
							$result.='</ul>';
							$result.='<ul class="tab-pane fade" id="year">';
							foreach ($builtit_pricing_year as $item) {
								if ($j == 0) {
									$sentence = $item['builtit_pricing_ytittle'];
									$arr1 = explode(' ',trim($sentence));
									$result.='<li>
											<label class="builtit-price-check" for="y-'.esc_attr($arr1[0]).'">
												<input type="radio" id="y-'.esc_attr($arr1[0]).'" name="ns_price">
												<span class="builtit-price-checkbox"></span>';
												
												$result.='<h3 class="builtit-plabuiltit-name">'. esc_html($item['builtit_pricing_ytittle']) .'
													<span>'. esc_html($item['builtit_pricing_yst']) .'</span>
												</h3>
										<div class="builtit-price">
										<h2>
										<span class="builtit-price-symbol">'. esc_html($item['builtit_pricing_ysybol']) .'</span><span class="builtit-price-rate">'. esc_html($item['builtit_pricing_yprice']) .'</span> <span class="builtit-price-time">/'. esc_html($item['builtit_pricing_ytime']) .'</span></h2></div>
                                        </label> 
                                    </li>';
								}
							}
							$result.='</ul>';
							
			$result.='</div></div></div></div>';
		} 
	$result.='</div>';
	
	$css .= !empty($builtit_pricing_text_color) ? '#builtit-'. $id .' .builtit-price-body ul li {color : '. esc_attr( $builtit_pricing_text_color).';}' : '';
	
	$css .= !empty($builtit_pricing_icon_color) ? '#builtit-'. $id .' .builtit-price-body ul li i {color : '. esc_attr( $builtit_pricing_icon_color).';}' : '';
	
	$css .= !empty($builtit_pricing_icon_bgcolor) ? '#builtit-'. $id .' .builtit-price-body ul li i {background : '. esc_attr( $builtit_pricing_icon_bgcolor).';}' : '';
	
	$css .= !empty($builtit_pricing_btn_color) ? '#builtit-'. $id .' .builtit-price-footer a {color : '. esc_attr( $builtit_pricing_btn_color).';}' : '';
	
	$css .= !empty($builtit_pricing_btn_bg_color) ? '#builtit-'. $id .' .builtit-price-style3 a {background : '. esc_attr( $builtit_pricing_btn_bg_color).';}' : '';
	
	$css .= !empty($builtit_pricing_btn_border) ? '#builtit-'. $id .' .builtit-price-style3 a {border-width : '. esc_attr( $builtit_pricing_btn_border).';}' : '';
	
	$css .= !empty($builtit_pricing_btn_bstyle) ? '#builtit-'. $id .' .builtit-price-style3 a {border-style : '. esc_attr( $builtit_pricing_btn_bstyle).';}' : '';
	
	$css .= !empty($builtit_pricing_btn_b_color) ? '#builtit-'. $id .' .builtit-price-style3 a {border-color : '. esc_attr( $builtit_pricing_btn_b_color).';}' : '';
	
	$css .= !empty($builtit_pricing_btn_br) ? '#builtit-'. $id .' .builtit-price-style3 a {border-radius : '. esc_attr( $builtit_pricing_btn_br).';}' : '';
	
	$css .= !empty($builtit_pricing_btn_hcolor) ? '#builtit-'. $id .' .builtit-price-box .builtit-price-footer a:hover {color : '. esc_attr( $builtit_pricing_btn_hcolor).';}' : '';
	
	$css .= !empty($builtit_pricing_btn_hbg_color) ? '#builtit-'. $id .' .builtit-price-style3 a:hover {background : '. esc_attr( $builtit_pricing_btn_hbg_color).';}' : '';
	
	$css .= !empty($builtit_pricing_btn_h_bcolor) ? '#builtit-'. $id .' .builtit-price-style3 a:hover {border-color : '. esc_attr( $builtit_pricing_btn_h_bcolor).';}' : '';
	
	$css .= !empty($builtit_pricing_btn_hsho) ? '#builtit-'. $id .' .builtit-price-style3 a:hover {box-shadow : '. esc_attr( $builtit_pricing_btn_hsho).';}' : '';	
	
	$css .= !empty($builtit_pricing_box_tcolor) ? '#builtit-'. $id .' .builtit-price-style1 h3, #builtit-'. $id .' .builtit-price-style1 h2 span, #builtit-'. $id .' .builtit-price-body h3, #builtit-'. $id .'  .builtit-price-style2 h3, #builtit-'. $id .' .builtit-price-style3 .builtit-plabuiltit-name, #builtit-'. $id .' .builtit-price-style4 .builtit-plabuiltit-name, #builtit-'. $id .' .builtit-price-style4 .builtit-price h2 span, #builtit-'. $id .' .builtit-price-style4 .builtit-plabuiltit-name span{color : '. esc_attr($builtit_pricing_box_tcolor).';}' : '';	
	
	$css .= !empty($builtit_pricing_box_tcolor) ? '#builtit-'. $id .' .builtit-price-style1 h3.builtit-plabuiltit-name:after, #builtit-'. $id .' .builtit-price-style1 h3.builtit-plabuiltit-name:before {background : '. esc_attr( $builtit_pricing_box_tcolor).';}' : '';
	
	if($builtit_pricing_box_gt == true){
		$css .= !empty($builtit_pricing_box_bgcolor) ||  !empty($builtit_pricing_box_bgcolor_two) ? '#builtit-'. $id .' .builtit-price-box {background : linear-gradient(-60deg, '. esc_attr( $builtit_pricing_box_bgcolor) .' 40%, '. esc_attr( $builtit_pricing_box_bgcolor_two) .');}' : ''; 
	}else{
		$css .= !empty($builtit_pricing_box_bgcolor) ? '#builtit-'. $id .' builtit-price-style1, #builtit-'. $id .' builtit-price-style2, #builtit-'. $id .' builtit-price-style3 {background : '. esc_attr( $builtit_pricing_box_bgcolor).';}' : ''; 
	}
	
	$css .= !empty($builtit_pricing_box_border) ? '#builtit-'. $id .' .builtit-price-style1, #builtit-'. $id .' .builtit-price-style2, #builtit-'. $id .' .builtit-price-style3 {border-width : '. esc_attr( $builtit_pricing_box_border).';}' : '';
	
	$css .= !empty($builtit_pricing_box_bstyle) ? '#builtit-'. $id .' .builtit-price-style1, #builtit-'. $id .' .builtit-price-style2, #builtit-'. $id .' .builtit-price-style3 {border-style : '. esc_attr( $builtit_pricing_box_bstyle).';}' : '';
	
	$css .= !empty($builtit_pricing_box_bcolor) ? '#builtit-'. $id .' .builtit-price-style1, #builtit-'. $id .' .builtit-price-style2, #builtit-'. $id .' .builtit-price-style3 {border-color : '. esc_attr( $builtit_pricing_box_bcolor).';}' : '';
	
	$css .= !empty($builtit_pricing_box_br) ? '#builtit-'. $id .' .builtit-price-style1, #builtit-'. $id .' .builtit-price-style2, #builtit-'. $id .' .builtit-price-style3, #builtit-'. $id .' .row.style_4 .col-lg-6:nth-child(1) .builtit-price-body, #builtit-'. $id .' .row.style_4 .col-lg-6:nth-child(2) .builtit-price-check {border-radius : '. esc_attr( $builtit_pricing_box_br).';}' : '';
	
	$css .= !empty($builtit_pricing_box_sho) ? '#builtit-'. $id .' .builtit-price-style1, #builtit-'. $id .' .builtit-price-style2, #builtit-'. $id .' .builtit-price-style3, #builtit-'. $id .' .row.style_4 .col-lg-6:nth-child(1) .builtit-price-body, #builtit-'. $id .' .row.style_4 .col-lg-6:nth-child(2) .builtit-price-check {box-shadow : '. esc_attr( $builtit_pricing_box_sho).';}' : '';
	
	$css .= !empty($builtit_pricing_box_adcolor) ? '#builtit-'. $id .' .builtit-price-style4 .builtit-price-tab li a.active, #builtit-'. $id .' .builtit-price-style3 .builtit-price-header, #builtit-'. $id .' .builtit-price-style2 .builtit-price, #builtit-'. $id .' .builtit-price-style4 input:checked ~ .builtit-price-checkbox {background : '. esc_attr( $builtit_pricing_box_adcolor).';}' : '';
	
	$css .= !empty($builtit_pricing_box_sadcolor) ? '#builtit-'. $id .' .builtit-price-style4 .builtit-price-tab li a, #builtit-'. $id .' .builtit-price-checkbox #builtit-'. $id .' .builtit-price-style2 .builtit-price-footer, #builtit-'. $id .' .builtit-price-style2 .builtit-price-footer, #builtit-'. $id .' .builtit-price-checkbox {background : '. esc_attr( $builtit_pricing_box_sadcolor).';}' : '';
	
	$css .= !empty($builtit_pricing_box_lcolor) ? '#builtit-'. $id .' .builtit-price-style4 .builtit-price-tab, #builtit-'. $id .' .builtit-price-style4 .builtit-price-check {border-color: '. esc_attr( $builtit_pricing_box_lcolor).';}' : '';
		
	global $builtit_internal_css;  
	$builtit_internal_css[] = $css;
	return $result; 
} 