<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://codecanyon.net/user/kamleshyadav
 * @since      1.0.0
 *
 * @package    Built_It
 * @subpackage Built_It/public/partials
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 

add_action( 'vc_before_init', 'built_it_view' );
function built_it_view(){
	
	require_once 'built-it-heading.php';             /** Heading */ 
	require_once 'built-it-button.php';              /** Button */
	require_once 'built-it-team.php';                /** Team */
	require_once 'built-it-image.php';               /** Image */
	require_once 'built-it-features.php';            /** Features */
	require_once 'built-it-services.php';            /** Services */ 
	require_once 'built-it-image-gallery.php';       /** Image Gallery */ 
	require_once 'built-it-testimonials.php';        /** Testimonials */  
	require_once 'built-it-play-button.php';         /** Play Button */   
	require_once 'built-it-counter.php';             /** Counter */ 
	require_once 'built-it-countdown-timer.php';     /** Countdown Timer */ 
	require_once 'built-it-notification.php';        /** Notification */ 
	require_once 'built-it-list.php';                /** List */ 
	require_once 'built-it-social-icons.php';        /** Social-Icons */ 
	require_once 'built-it-accordion.php';           /** Accordion */  
	require_once 'built-it-blog.php';                /** Blog */ 
	require_once 'built-it-category.php';            /** Category */ 
	require_once 'built-it-tab.php';                 /** Tab */
	require_once 'built-it-pricing.php';             /** Pricing */
}
