<?php 
/**
 * Service
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_service','builtit_service');
function builtit_service($atts,$content){
    extract(shortcode_atts( 
		array( 
		'builtit_service_style' => '',
		'builtit_service_type' => '',
		'builtit_service_img' => '',
		'builtit_service_icon' => '',
		'builtit_service_number' => '',
		'builtit_service_tittle' => '',
		'builtit_service_des' => '',
		'builtit_class' => '',
		'builtit_service_tittle_color' => '',
		'builtit_service_number_color' => '',
		'builtit_service_bg' => '',
		'builtit_service_dec_color' => '',
		'builtit_service_boxs' => '',
		'builtit_service_hover' => '',
		'builtit_service_tittle_hcolor' => '',
		'builtit_service_number_hcolor' => '',
		'builtit_service_hbg' => '',
		'builtit_service_dec_hcolor' => '',
		'builtit_service_icon_font' => '',
		'builtit_service_icon_color' => '',
		'builtit_service_icon_hcolor' => '',
		'builtit_service_link_show' => '',
		'builtit_service_link' => '',
		'builtit_service_img_bg' => '',
		'builtit_service_b_hcolor' => '',
		'builtit_service_box_border' => '',
		'builtit_service_box_bcolor' => '',
		'builtit_service_box_r' => '',	
		'builtit_service_box_bstyle' => '',	
		'builtit_service_side' => 'false',
		 ),$atts 
	 ) );
	$result = $css = ''; 
	$id = uniqid();	
	$imageSrc = wp_get_attachment_image_src($builtit_service_img, 'full');
	$bgSrc = wp_get_attachment_image_src($builtit_service_img_bg, 'full');
	if($builtit_service_side == true){
		$right = 'builtit-serv-icon-right';
	}
	if($builtit_service_style == 'builtit-service-style2'){
	$result.='<div class="builtit-service-box '. esc_attr($builtit_service_style) .' '. esc_attr($right) .' '. esc_attr($builtit_class) .'" id="builtit-'. esc_attr($id) .'">';
		if($builtit_service_side == true){
			$result.='<div class="builtit-service-text">';
                if(!empty($builtit_service_tittle)){
					if($builtit_service_link_show == 'true'){
						$result.='<a href="'. esc_url($builtit_service_link) .'" class="builtit-service-title">'. esc_html($builtit_service_tittle) .'</a>';
					}else{
						$result.='<h3 class="builtit-service-title">'. esc_html($builtit_service_tittle) .'</h3>';
					}
				}
				if(!empty($builtit_service_des)){
                $result.='<p>'. esc_html($builtit_service_des) .'</p>';
				}
			$result.='</div>';
			if(!empty($builtit_service_img) || !empty($builtit_service_icon)){
			$result.='<div class="builtit-service-icon">'; 
				if($builtit_service_type == 'image'){
					$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Service','built-it').'">';
				}else{
				$result.='<i class="'. esc_attr($builtit_service_icon) .'"></i>';
				}
			$result.='</div>';
		} 
	}else{
		if(!empty($builtit_service_img) || !empty($builtit_service_icon)){
		$result.='<div class="builtit-service-icon">'; 
        if($builtit_service_type == 'image'){
            $result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Service','built-it').'">';
        }else{
            $result.='<i class="'. esc_attr($builtit_service_icon) .'"></i>';
        }
        $result.='</div>';
		} 
			$result.='<div class="builtit-service-text">';
                if(!empty($builtit_service_tittle)){
					if($builtit_service_link_show == 'true'){
						$result.='<a href="'. esc_url($builtit_service_link) .'" class="builtit-service-title">'. esc_html($builtit_service_tittle) .'</a>';
					}else{
						$result.='<h3 class="builtit-service-title">'. esc_html($builtit_service_tittle) .'</h3>';
					}
				}
				if(!empty($builtit_service_des)){
                $result.='<p>'. esc_html($builtit_service_des) .'</p>';
				}
    $result.='</div>';
		}
	$result.='</div>';
	} elseif($builtit_service_style == 'builtit-service-style3'){
	$result.='<div class="builtit-service-box '. esc_attr($builtit_service_style) .' '. esc_attr($builtit_class) .'" id="builtit-'.$id.'" >';
	if(!empty($builtit_service_number)){
		$result.='<span class="builtit-service-number">'. esc_html($builtit_service_number) .'</span>';
	}
	if(!empty($builtit_service_img) || !empty($builtit_service_icon)){
		$result.='<div class="builtit-service-icon">'; 
        if($builtit_service_type == 'image'){
            $result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Service','built-it').'">';
        }else{
            $result.='<i class="'. esc_attr($builtit_service_icon) .'"></i>';
        }
        $result.='</div>';
	} 
	$result.='<div class="builtit-service-text">';
                if(!empty($builtit_service_tittle)){
					if($builtit_service_link_show == 'true'){
						$result.='<a href="'. esc_url($builtit_service_link) .'" class="builtit-service-title">'. esc_html($builtit_service_tittle) .'</a>';
					}else{
						$result.='<h3 class="builtit-service-title">'. esc_html($builtit_service_tittle) .'</h3>';
					}
				}
				if(!empty($builtit_service_des)){
                $result.='<p>'. esc_html($builtit_service_des) .'</p>';
				}
    $result.='</div></div>';
	} else{
	$result.='<div class="builtit-service-box '. esc_attr($builtit_class) .'" id="builtit-'.$id.'" >';
	if(!empty($builtit_service_img) || !empty($builtit_service_icon)){
		$result.='<div class="builtit-service-icon">'; 
        if($builtit_service_type == 'image'){
            $result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Service','built-it').'">';
        }else{
            $result.='<i class="'. esc_attr($builtit_service_icon) .'"></i>';
        }
        $result.='</div>';
	} 
	$result.='<div class="builtit-service-text">';
                if(!empty($builtit_service_tittle)){
					if($builtit_service_link_show == 'true'){
						$result.='<a href="'. esc_url($builtit_service_link) .'" class="builtit-service-title">'. esc_html($builtit_service_tittle) .'</a>';
					}else{
						$result.='<h3 class="builtit-service-title">'. esc_html($builtit_service_tittle) .'</h3>';
					}
				}
				if(!empty($builtit_service_des)){
                $result.='<p>'. esc_html($builtit_service_des) .'</p>';
				}
    $result.='</div></div>';
	}
	
	$css .= !empty($builtit_service_tittle_color) ? '#builtit-'. $id .' .builtit-service-title {color : '. esc_attr($builtit_service_tittle_color).';}' : ''; 
	
	$css .= !empty($builtit_service_tittle_color) ? '#builtit-'. $id .' .builtit-service-text h3 {color : '. esc_attr($builtit_service_tittle_color).';}' : ''; 
	 
	$css .= !empty($builtit_service_number_color) ? '#builtit-'. $id .' .builtit-service-number {color : '. esc_attr($builtit_service_number_color).';}' : ''; 
	
	$css .= !empty($builtit_service_dec_color) ? '#builtit-'. $id .' p {color : '. esc_attr($builtit_service_dec_color).';}' : ''; 
	
	$css .= !empty($builtit_service_bg) ? '#builtit-'. $id .' {background : '. esc_attr($builtit_service_bg).';}' : ''; 
	
	$css .= !empty($builtit_service_boxs) ? '#builtit-'. $id .' {box-shadow : '. esc_attr($builtit_service_boxs).';}' : ''; 
	
	$css .= !empty($builtit_service_hbg) ? '#builtit-'. $id .':hover {background : '. esc_attr($builtit_service_hbg).';}' : '';
	
	$css .= !empty($builtit_service_tittle_hcolor) ? '#builtit-'. $id .':hover .builtit-service-title {color : '. esc_attr($builtit_service_tittle_hcolor).';}' : ''; 
	
	$css .= !empty($builtit_service_tittle_hcolor) ? '#builtit-'. $id .':hover .builtit-service-text h3 {color : '. esc_attr($builtit_service_tittle_hcolor).';}' : '';
	
	$css .= !empty($builtit_service_number_hcolor) ? '#builtit-'. $id .':hover .builtit-service-number {color : '. esc_attr($builtit_service_number_hcolor).';}' : ''; 
	
	$css .= !empty($builtit_service_dec_hcolor) ? '#builtit-'. $id .':hover p {color : '. esc_attr($builtit_service_dec_hcolor).';}' : '';
	
	$css .= !empty($builtit_service_icon_color) ? '#builtit-'. $id .' .builtit-service-icon i {color : '. esc_attr($builtit_service_icon_color).';}' : '';
	
	$css .= !empty($builtit_service_icon_hcolor) ? '#builtit-'. $id .':hover .builtit-service-icon i {color : '. esc_attr($builtit_service_icon_hcolor).';}' : '';
	 
	$css .= !empty($builtit_service_icon_font) ? '#builtit-'. $id .' .builtit-service-icon i {font-size : '. esc_attr($builtit_service_icon_font).'px;}' : '';
	
	$css .= !empty($builtit_service_img_bg) ? '#builtit-'. $id .'{background : url('.esc_url($bgSrc[0]).');}' : '';
	
	$css .= !empty($builtit_service_box_border) ? '#builtit-'. $id .'{border-width : '. esc_attr($builtit_service_box_border) .';}' : '';
	
	$css .= !empty($builtit_service_box_bstyle) ? '#builtit-'. $id .'{border-style : '. esc_attr($builtit_service_box_bstyle) .'}' : '';
	
	$css .= !empty($builtit_service_box_bcolor) ? '#builtit-'. $id .'{border-color : '. esc_attr($builtit_service_box_bcolor) .';}' : '';
	
	$css .= !empty($builtit_service_box_r) ? '#builtit-'. $id .'{border-radius : '. esc_attr($builtit_service_box_r) .';}' : '';
	
	$css .= !empty($builtit_service_b_hcolor) ? '#builtit-'. $id .':hover {border-color : '. esc_attr($builtit_service_b_hcolor) .';}' : '';
	
	global $builtit_internal_css;  
	$builtit_internal_css[] = $css;	
	return $result;     
} 