<?php 
/**
 * Social
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_social','builtit_social');
function builtit_social($atts,$content){
    extract(shortcode_atts( 
		array( 
		'builtit_social_ic_style' => 'builtit-social-style1',
		'builtit_social_ic_color' => '',  
		'builtit_social_ic_bg' => '',
		'builtit_social_space' => '',
		'builtit_social_ic_bcolor' => '',
		'builtit_social_ic_border' => '',
		'builtit_social_ic_bstyle' => '',
		'builtit_social_ic_br' => '',
		'builtit_social_ic_shw' => '',
		'builtit_social_ic_ecolor' => '',
		'builtit_social_ic_hcolor' => '',
		'builtit_social_ic_hbg' => '',
		'builtit_social_ic_h_bcolor' => '',
		'builtit_social_ic_h_ecolor' => '',
		'builtit_class' => '',
		'builtit_social_ic_align' => '',
		 ),$atts 
	 ) );  
	$result = $css = ''; 
	$id = uniqid();	
	$result.='<div class="builtit-social-wrapper '. esc_attr($builtit_class) .'" id="builtit-'. esc_attr($id) .'">
		<div class="builtit-social-box '. esc_attr($builtit_social_ic_style) .'">
            <ul>'.do_shortcode($content).'</ul>
		</div>
	</div>';
	
	$css .= !empty($builtit_social_ic_color) ? '#builtit-'. $id .' .builtit-social-box li a i {color : '. esc_attr($builtit_social_ic_color).';}' : ''; 
	
	$css .= !empty($builtit_social_ic_bg) ? '#builtit-'. $id .' .builtit-social-box li a {background : '. esc_attr($builtit_social_ic_bg).';}' : '';
	
	$css .= !empty($builtit_social_space) ? '#builtit-'. $id .' .builtit-social-box li {margin-right : '. esc_attr($builtit_social_space).';}' : '';
	
	$css .= !empty($builtit_social_ic_border) ? '#builtit-'. $id .' .builtit-social-box li a {border-width : '. esc_attr($builtit_social_ic_border).';}' : '';  
	
	$css .= !empty($builtit_social_ic_bstyle) ? '#builtit-'. $id .' .builtit-social-box li a {border-style : '. esc_attr($builtit_social_ic_bstyle) .'}' : ''; 
	
	$css .= !empty($builtit_social_ic_bcolor) ? '#builtit-'. $id .' .builtit-social-box li a {border-color : '. esc_attr($builtit_social_ic_bcolor) .';}' : '';
	
	$css .= !empty($builtit_social_ic_shw) ? '#builtit-'. $id .' ul li a {box-shadow : '. esc_attr($builtit_social_ic_shw) .';}' : '';
	
	$css .= !empty($builtit_social_ic_ecolor) ? '#builtit-'. $id .' .builtit-social-style3 ul li {background : '. esc_attr($builtit_social_ic_ecolor).';}' : '';
	
	$css .= !empty($builtit_social_ic_br) ? '#builtit-'. $id .' ul li a {border-radius : '. esc_attr($builtit_social_ic_br) .';}' : '';
	
	$css .= !empty($builtit_social_ic_br) ? '#builtit-'. $id .' ul li {border-radius : '. esc_attr($builtit_social_ic_br) .';}' : '';
	
	$css .= !empty($builtit_social_ic_hcolor) ? '#builtit-'. $id .' .builtit-social-box li:hover a i {color : '. esc_attr($builtit_social_ic_hcolor).';}' : ''; 
	
	$css .= !empty($builtit_social_ic_hbg) ? '#builtit-'. $id .' .builtit-social-box li:hover a {background : '. esc_attr($builtit_social_ic_hbg).';}' : '';
	
	$css .= !empty($builtit_social_ic_h_ecolor) ? '#builtit-'. $id .' .builtit-social-style3 ul li:hover {background : '. esc_attr($builtit_social_ic_h_ecolor).';}' : '';
	
	$css .= !empty($builtit_social_ic_h_bcolor) ? '#builtit-'. $id .' .builtit-social-box li:hover a {border-color : '. esc_attr($builtit_social_ic_h_bcolor) .';}' : '';
	
	$css .= !empty($builtit_social_ic_align) ? '#builtit-'. $id .' .builtit-social-box ul {text-align : '. esc_attr($builtit_social_ic_align) .';}' : '';
	
	global $builtit_internal_css;  
	$builtit_internal_css[] = $css;
	return $result; 
}
add_shortcode('builtit_social_item','builtit_social_item');
function builtit_social_item($atts,$content){
    extract(shortcode_atts( 
		array(
		'builtit_social_ic_icon' => '',  
		'builtit_social_ic_open_new' => '', 
		'builtit_social_ic_link' => '',
		 ),$atts  
	 ) );
	$result = $css = ''; 
	
	$result.='<li> 
		<a';
		if(!empty($builtit_social_ic_link)){
			$result.=' href="'. esc_url($builtit_social_ic_link) .'"';
		}
		if($builtit_social_ic_open_new=='true'){
				$result.=' target="_blank"';    
			}  
		$result.='>';
			if(!empty($builtit_social_ic_icon)){
				$result.='<i class="'. esc_attr($builtit_social_ic_icon) .'"></i>';
			}
        $result.='</a> 
    </li>'; 
    return $result; 
}  