<?php 
/**
 * Tabs
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_tab','builtit_tab');
function builtit_tab($atts,$content){
    extract(shortcode_atts( 
		array(
		'builtit_tab_type' => 'builtit-tab-vertical',
		'builtit_tab_style' => 'builtit-tab-style1',
		'builtit_class' => '',
		'builtit_tab_font' => '',
		'builtit_tab_line' => '',
		'builtit_tab_b_width' => '',
		'builtit_tab_f_weight' => '',
		'builtit_tab_transform' => '',
		'builtit_tab_l_spacing' => '',
		'builtit_tab_color' => '',
		'builtit_tab_bg' => '', 
		'builtit_tab_border' => '',
		'builtit_tab_h_color' => '',
		'builtit_tab_h_bg' => '',
		'builtit_tab_h_border' => '',
		'builtit_tab_loop' => '',
		'builtit_tab_tittle' => '',
		'builtit_tab_desc' => '',
		'builtit_tab_b_style' => '',
		'builtit_tab_ad_color' => '',
		'builtit_tab_shadow' => '',
		'builtit_tab_align' => '',
		
		 ),$atts 
	 ) );
	$result = $css =''; 
	$builtit_tab_loop = (array) vc_param_group_parse_atts($atts['builtit_tab_loop']);
	$i = $j = 0; 
	$id = uniqid();	
	$result.='<div class="builtit-tab-wrap">';
	if($builtit_tab_type == 'builtit-tab-horizontal'){
		$result.='<div class="'. esc_attr($builtit_tab_type) .' '. esc_attr($builtit_tab_style) .'" id="builtit-'.esc_attr($id).'">';
			$result.='<ul class="nav builtit-tab-list">';
			foreach ($builtit_tab_loop as $item) {
				$sentence = $item['builtit_tab_tittle'];
				$arr1 = explode(' ',trim($sentence));
				if ($i == 0) {
					$result.='<li class="nav-item">
							<a class="nav-link active" data-toggle="tab" href="#'.esc_attr($arr1[0]).'" role="'.esc_attr($arr1[0]).'">'. esc_html($item['builtit_tab_tittle']).' </a>  
						</li>'; 
				} else{ 
					$result.='<li class="nav-item"> 
							<a class="nav-link" data-toggle="tab" href="#'.esc_attr($arr1[0]).'" role="'.esc_attr($arr1[0]).'">'. esc_html($item['builtit_tab_tittle']) .'</a>  
						</li>';  
				}
				$i++;
			}
			$result.='</ul><div class="tab-content builtit-tab-content">'; 
			foreach ($builtit_tab_loop as $item) {
				$sentence = $item['builtit_tab_tittle'];
				$arr1 = explode(' ',trim($sentence));
				if ($j == 0) {
					$result.='<div class="tab-pane fade show active" id="'.esc_attr($arr1[0]).'" role="tabpanel">'. rawurldecode(base64_decode($item['builtit_tab_desc'])) .'</div>'; 
				} else{ 
					$result.='<div class="tab-pane fade" id="'.esc_attr($arr1[0]).'" role="tabpanel">'. rawurldecode(base64_decode($item['builtit_tab_desc'])) .'</div>';   
				} 
				$j++;
			}
		$result.='</div> </div>';
	}else{
		$result.='<div class="'. esc_attr($builtit_tab_type) .' '. esc_attr($builtit_tab_style) .'" id="builtit-'.esc_attr($id).'">';
			$result.='<ul class="nav builtit-tab-list">';
			foreach ($builtit_tab_loop as $item) {
				$sentence = $item['builtit_tab_tittle'];
				$arr1 = explode(' ',trim($sentence));
				if ($i == 0) {
					$result.='<li class="nav-item">
							<a class="nav-link active" data-toggle="tab" href="#'.esc_attr($arr1[0]).'" role="'.esc_attr($arr1[0]).'">'. esc_html($item['builtit_tab_tittle']).' </a>  
						</li>'; 
				} else{ 
					$result.='<li class="nav-item"> 
							<a class="nav-link" data-toggle="tab" href="#'.esc_attr($arr1[0]).'" role="'.esc_attr($arr1[0]).'">'. esc_html($item['builtit_tab_tittle']) .'</a>  
						</li>';  
				}
				$i++;
			}
			$result.='</ul><div class="tab-content builtit-tab-content">'; 
			foreach ($builtit_tab_loop as $item) {
				$sentence = $item['builtit_tab_tittle'];
				$arr1 = explode(' ',trim($sentence));
				if ($j == 0) {
					$result.='<div class="tab-pane fade show active" id="'.esc_attr($arr1[0]).'" role="tabpanel">'. rawurldecode(base64_decode($item['builtit_tab_desc'])) .'</div>'; 
				} else{ 
					$result.='<div class="tab-pane fade" id="'.esc_attr($arr1[0]).'" role="tabpanel">'. rawurldecode(base64_decode($item['builtit_tab_desc'])) .'</div>';   
				} 
				$j++;
			}
		$result.='</div> </div>';
	}
	$result.='</div>';
	
	$css .= !empty($builtit_tab_font) ? '#builtit-'. $id .' .nav-item a {font-size : '. esc_attr($builtit_tab_font) .'px;}' : '';
	
	$css .= !empty($builtit_tab_line) ? '#builtit-'. $id .' .nav-item a {line-height : '. esc_attr($builtit_tab_line) .'px;}' : '';
	
	$css .= !empty($builtit_tab_b_width) ? '#builtit-'. $id .' .nav-item a { border-width: '. esc_attr($builtit_tab_b_width) .';}' : '';  
	
	$css .= !empty($builtit_tab_f_weight) ? '#builtit-'. $id .' .nav-item a { font-weight: '. esc_attr($builtit_tab_f_weight) .';}' : ''; 
	
	$css .= !empty($builtit_tab_transform) ? '#builtit-'. $id .' .nav-item a { text-transform: '. esc_attr($builtit_tab_transform) .';}' : ''; 
	
	$css .= !empty($builtit_tab_l_spacing) ? '#builtit-'. $id .' .nav-item a { letter-spacing: '. esc_attr($builtit_tab_l_spacing) .'px;}' : ''; 
	
	$css .= !empty($builtit_tab_color) ? '#builtit-'. $id .' .nav-item a { color: '. esc_attr($builtit_tab_color) .';}' : ''; 
	
	$css .= !empty($builtit_tab_bg) ? '#builtit-'. $id .' .nav-item a { background: '. esc_attr($builtit_tab_bg) .';}' : ''; 
	
	$css .= !empty($builtit_tab_border) ? '#builtit-'. $id .' .nav-item a { border-color: '. esc_attr($builtit_tab_border) .';}' : ''; 
	
	$css .= !empty($builtit_tab_h_color) ? '#builtit-'. $id .' .nav-item a:hover, #builtit-'. $id .' .nav-item .active{ color: '. esc_attr($builtit_tab_h_color) .';}' : ''; 
	
	$css .= !empty($builtit_tab_h_bg) ? '#builtit-'. $id .' .nav-item a:hover, #builtit-'. $id .' .nav-item .active { background: '. esc_attr($builtit_tab_h_bg) .';}' : ''; 
	
	$css .= !empty($builtit_tab_h_border) ? '#builtit-'. $id .' .nav-item a:hover, #builtit-'. $id .' .nav-item .active { border-color: '. esc_attr($builtit_tab_h_border) .';}' : ''; 
	 
	$css .= !empty($builtit_tab_b_style) ? '#builtit-'. $id .' .nav-item a { border-style: '. esc_attr($builtit_tab_b_style) .';}' : ''; 
	
	$css .= !empty($builtit_tab_ad_color) ? '#builtit-'. $id .' .nav-item .active:after { border-color: '. esc_attr($builtit_tab_ad_color) .';}' : ''; 
	
	$css .= !empty($builtit_tab_shadow) ? '#builtit-'. $id .' .builtit-tab-list { box-shadow: '. esc_attr($builtit_tab_shadow) .';}' : '';
	
	$css .= !empty($builtit_tab_align) ? '#builtit-'. $id .' .builtit-tab-list { justify-content: '. esc_attr($builtit_tab_align) .';}' : '';
	   
	global $builtit_internal_css;
	$builtit_internal_css[] = $css;	
	return $result;   
} 