<?php 
/**
* Image
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "Image", "built-it" ),
		"base" => "builtit_image",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/image.png'),
		"params" => array(
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Image Style", "built-it" ),
                    "param_name" => "builtit_image_style",
                    "value" => array( 
                        esc_html__( "Image Style 1", "built-it" ) => "builtit-img-style1",
                        esc_html__( "Image Style 2", "built-it" ) => "builtit-img-style2",
						esc_html__( "Image Style 3", "built-it" ) => "builtit-img-style3",
						esc_html__( "Image Style 4", "built-it" ) => "builtit-img-style4",
						esc_html__( "Image Style 5", "built-it" ) => "builtit-img-style5",
						esc_html__( "Image Style 6", "built-it" ) => "builtit-img-style6",
						
                    ),	
				),
				array(
					"type" => "attach_image", 
					"value" =>"", 
					"heading" => esc_html__("Image", "built-it"),
					"param_name" => "builtit_img",
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),  
		    ),
	    ) 
	);