<?php 
/**
 * Accordion
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_accordion','builtit_accordion');
function builtit_accordion($atts,$content){
	global $builtit_accordion_icon;
	global $builtit_accordionac_style;
    extract(shortcode_atts( 
		array( 
		'builtit_accordionac_style' => '',
		'builtit_accordion_icon' => '',
		'builtit_accordion_act_color' => '',
		'builtit_accordion_act_tcolor' => '',
		'builtit_accordion_act_ic_color' => '',
		'builtit_accordion_act_ic_bg' => '',
		'builtit_accordion_border' => '',
		'builtit_accordion_bcolor' => '',
		'builtit_accordion_bstyle' => '',
		'builtit_accordion_br' => '',
		'builtit_accordion_space' => '',
		'builtit_accordion_shw' => '',
		'builtit_accordion_ecolor' => '',
		'builtit_class' => '', 
		'builtit_accordion_incct_ic_color' => '', 
		'builtit_accordion_incct_ic_bg' => '', 		
		 ),$atts 
	 ) );  
	
	$result = $css = ''; 
	$id = uniqid();	
	if($builtit_accordionac_style == 'builtit-accordion-style2'){
		$accordion_id = 'builtit-accordian2';
	} elseif($builtit_accordionac_style == 'builtit-accordion-style3'){
		$accordion_id = 'builtit-accordian3';
	} elseif($builtit_accordionac_style == 'builtit-accordion-style4'){
		$accordion_id = 'builtit-accordian4';
	} else {
		$accordion_id = 'builtit-accordian';
	}
	$result.='<div class="builtit-accordion-wrapper '. esc_attr($builtit_class) .'" id="builtit-'.esc_attr($id).'">
		<div class="builtit-accordion-box '. esc_attr($builtit_accordionac_style) .'">
			<div class="accordion" id="'.esc_attr($accordion_id).'">'.do_shortcode($content).'</div>
	</div></div>';
	 
	$css .= !empty($builtit_accordion_act_color) ? '#builtit-'. $id .' .builtit-accordian-title.active {color : '. esc_attr($builtit_accordion_act_color).';}' : '';
	
	$css .= !empty($builtit_accordion_act_tcolor) ? '#builtit-'. $id .' .builtit-accordian-title.active {background : '. esc_attr($builtit_accordion_act_tcolor).';}' : '';
	
	$css .= !empty($builtit_accordion_act_ic_color) ? '#builtit-'. $id .' .builtit-accordian-title.active i {color : '. esc_attr($builtit_accordion_act_ic_color).';}' : '';
	
	$css .= !empty($builtit_accordion_act_ic_bg) ? '#builtit-'. $id .' .builtit-accordion-style2 .builtit-accordian-title.active .builtit-accordian-icon, #builtit-'. $id .' .builtit-accordion-style4 .builtit-accordian-angle {background : '. esc_attr($builtit_accordion_act_ic_bg).';}' : '';
	
	$css .= !empty($builtit_accordion_act_ic_bg) ? '#builtit-'. $id .' .builtit-accordion-style2 .builtit-accordian-title.active .builtit-accordian-icon::after {background : '. esc_attr($builtit_accordion_act_ic_bg).';}' : '';
	
	$css .= !empty($builtit_accordion_border) ? '#builtit-'. $id .' .builtit-accordian-list, #builtit-'. $id .' .builtit-accordian-title  {border-width : '. esc_attr($builtit_accordion_border) .';}' : '';   
	
	$css .= !empty($builtit_accordion_bstyle) ? '#builtit-'. $id .' .builtit-accordian-list, #builtit-'. $id .' .builtit-accordian-title {border-style : '. esc_attr($builtit_accordion_bstyle) .'}' : '';
	
	$css .= !empty($builtit_accordion_bcolor) ? '#builtit-'. $id .' .builtit-accordian-list, #builtit-'. $id .' .builtit-accordian-title {border-color : '. esc_attr($builtit_accordion_bcolor) .';}' : '';
	
	$css .= !empty($builtit_accordion_br) ? '#builtit-'. $id .' .builtit-accordian-list, #builtit-'. $id .' .builtit-accordian-title {border-radius : '. esc_attr($builtit_accordion_br) .';}' : '';
	
	$css .= !empty($builtit_accordion_space) ? '#builtit-'. $id .' .builtit-accordian-list {margin-bottom : '. esc_attr($builtit_accordion_space) .';}' : '';
	
	$css .= !empty($builtit_accordion_shw) ? '#builtit-'. $id .' .builtit-accordian-list {box-shadow : '. esc_attr($builtit_accordion_shw) .';}' : '';
	
	$css .= !empty($builtit_accordion_incct_ic_color) ? '#builtit-'. $id .' .builtit-accordian-title i {color : '. esc_attr($builtit_accordion_act_ic_color).';}' : '';
	
	$css .= !empty($builtit_accordion_incct_ic_bg) ? '#builtit-'. $id .' .builtit-accordion-style2 .builtit-accordian-title .builtit-accordian-icon, #builtit-'. $id .' .builtit-accordion-style4 .builtit-accordian-angle {background : '. esc_attr($builtit_accordion_incct_ic_bg).';}' : '';
	
	$css .= !empty($builtit_accordion_incct_ic_bg) ? '#builtit-'. $id .' .builtit-accordion-style2 .builtit-accordian-title .builtit-accordian-icon::after {background : '. esc_attr($builtit_accordion_incct_ic_bg).';}' : '';
	
	global $builtit_internal_css;  
	$builtit_internal_css[] = $css;
	return $result; 
} 
add_shortcode('builtit_accordion_item','builtit_accordion_item');
function builtit_accordion_item($atts,$content){
	global $builtit_accordion_icon;
	global $builtit_accordionac_style;
    extract(shortcode_atts(  
		array(
		'builtit_accordion_tittle' => '',  
		'builtit_accordion_text' => '',  
		'builtit_accordion_active' => '', 		
		 ),$atts  
	 ) );
	$result = '';  
	$cls = $cls2 = '';
	$id = uniqid();	
	if($builtit_accordion_active == 'true'){
		$cls =  'show';
		$cls2 = 'active'; 
	}
	$result.='<div class="builtit-accordian-list">';
	if($builtit_accordionac_style == 'builtit-accordion-style2'){
		$result.='<p id="builtit-'.$id.'" class="builtit-accordian-title '. esc_attr($cls2) .'">';
			if(!empty($builtit_accordion_icon)){   
				$result.='<span class="builtit-accordian-icon">
					<i class="'. esc_attr($builtit_accordion_icon) .'"></i> 
				</span>';   
			} 
			if(!empty($builtit_accordion_tittle)){ 
				$result.='<span class="builtit-accordian-text">'. esc_html($builtit_accordion_tittle) .'</span>';
			}
			$result.='</p>';
			if(!empty($builtit_accordion_text)){
				$result.='<div class="collapse '. esc_attr($cls) .'"> 
					<div class="builtit-accordian-body">
						<p>'. esc_html($builtit_accordion_text) .'</p>
					</div> 
				</div>';  
			}
	} elseif($builtit_accordionac_style == 'builtit-accordion-style3' || $builtit_accordionac_style == 'builtit-accordion-style4'){
		$result.='<p id="builtit-'.$id.'" class="builtit-accordian-title '. esc_attr($cls2) .'">';
				$result.='<span class="builtit-accordian-angle">
					<i class="fas fa-angle-down"></i>
				</span>';   
			if(!empty($builtit_accordion_tittle)){ 
				$result.='<span class="builtit-accordian-text">'. esc_html($builtit_accordion_tittle) .'</span>';
			} 
			$result.='</p>'; 
			if(!empty($builtit_accordion_text)){
				$result.='<div class="collapse '. esc_attr($cls) .'"> 
					<div class="builtit-accordian-body">
						<p>'. esc_html($builtit_accordion_text) .'</p>
					</div> 
				</div>';  
			} 
	}else{
		if(!empty($builtit_accordion_tittle)){ 
		$result.='<p id="builtit-'.$id.'" class="builtit-accordian-title '. esc_attr($cls2) .'">'. esc_html($builtit_accordion_tittle) .'</p>';
		}   
		if(!empty($builtit_accordion_text)){
		$result.='<div class="collapse '. esc_attr($cls) .'">  
            <div class="builtit-accordian-body">
                <p>'. esc_html($builtit_accordion_text) .'</p>
            </div>
        </div>';
		}
	}
	$result.='</div>';
    return $result; 
}  