<?php 
/**
 * Blog
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_blog','builtit_blog');
function builtit_blog($atts,$content){
    extract(shortcode_atts( 
		array( 
		'builtit_blog_style' => 'grid',
		'builtit_blog_post' => '',
		'builtit_blog_style_v' => 'builtit-blog-style1',
		'builtit_blog_post_offset' => '',
		'builtit_blog_columns' => '1',
		'builtit_blog_categories' => '',
		'builtit_blog_order_by' => 'date', 
		'builtit_blog_sorting' => 'ASC', 
		'builtit_blog_t_color' => '',
		'builtit_blog_ic_color' => '',
		'builtit_blog_ad_color' => '',
		'builtit_blog_nav' => '',
		'builtit_blog_autoplay' => '',
		'builtit_blog_loop' => '',
		'builtit_blog_ac_bullet' => '',
		'builtit_blog_inac_bullet' => '',
		'builtit_blog_arro_color' => '',
		'builtit_blog_arro_bg' => '',
		'builtit_blog_arro_hcolor' => '',
		'builtit_blog_arro_hbg' => '',
		'builtit_blog_thumb' => true,
		'builtit_blog_author' => '',
		'builtit_blog_comments' => '',
		'builtit_blog_short_des' => '',
		'builtit_blog_btn' => '',
		'builtit_class' => '',
		'builtit_blog_date' => '',
		'builtit_blog_cat_s' => '',
		'builtit_blog_speed' => '',
		 ),$atts 
	 ) );   
	$result = $css = ''; 
	$id = uniqid();	
	$slidermeta = array('per_view' => $builtit_blog_columns, 'autoplay' => $builtit_blog_autoplay, 'loop' => $builtit_blog_loop, 'delay' => $builtit_blog_speed);
	
	if($builtit_blog_columns == 1 ){ 
		$col = 'col-lg-12';  
	} elseif($builtit_blog_columns == 2 ){
		$col = 'col-lg-6';
	} elseif($builtit_blog_columns == 3 ){
		$col = 'col-lg-4';
	} else{
		$col = 'col-lg-3';
	} 
	
	if($builtit_blog_style == 'grid' || $builtit_blog_style == 'list'){
		$result.=' <div class="builtit-blog-wrapper" id="builtit-'. esc_attr($id) .'"><div class="row">';
	}else{
		$result.=' <div class="builtit-blog-slider builtit-slider-pagination builtit-slider-arrow" id="builtit-'. $id .'">
                        <div class="swiper-container" data-blogmeta="'.esc_attr(json_encode($slidermeta)).'"> 
                            <div class="swiper-wrapper">';
	} 
		query_posts(array(
		'category_name' => $builtit_blog_categories, 
		'orderby' => $builtit_blog_order_by, 
		'showposts' => $builtit_blog_post,
		'offset' => $builtit_blog_post_offset,
		'order' => $builtit_blog_sorting,
		));
		if (have_posts()) :
		while (have_posts()) : the_post();
		
		$archive_year  = get_the_time( 'Y' ); 
		$archive_month = get_the_time( 'm' ); 
		$archive_day   = get_the_time( 'd' ); 
		
		$author_id = get_post_field('post_author', get_the_ID());
		$author_url = get_author_posts_url($author_id);
		$author_name = get_the_author_meta( 'display_name' , $author_id );
		
		$comments = get_comments_number(get_the_ID());
		$comment_txt = $comments > 1 ? 'Comments' : 'Comment';
							
		if($builtit_blog_style == 'grid'){
			if($builtit_blog_style_v == 'builtit-blog-style1'){
				$result.='<div class="'. esc_attr($col) .' col-md-12"> 
				<div class="builtit-blog-box '. esc_attr($builtit_blog_style_v) .'">';
				if($builtit_blog_thumb == true){
					$result.='<div class="builtit-blog-img">' . get_the_post_thumbnail(). '</div>';
				}
				$result.='<div class="builtit-blog-data">';
				if($builtit_blog_cat_s == true){
					$categories = get_the_category(get_the_ID());
							$result.='<ul class="builtit-blog-view builtit-blog-category">
                                    <li>
                                        <span><i class="fas fa-tag"></i></span>';
										foreach( $categories as $cd ){
											$result.='<a href="'.esc_url(get_category_link($cd->cat_ID)).'">'. esc_html($cd->name) .'</a>';
										}
                                    $result.='</li>
                                </ul>';
				}
					if($builtit_blog_author == true || $builtit_blog_date == true || $builtit_blog_comments == true){
						$result.='<ul class="builtit-blog-view">';
							if($builtit_blog_author == true){
								$result.='<li>
											<span><i class="far fa-user"></i></span>
											<a href="'.esc_url($author_url).'">'.esc_html__('By', 'built-it').' - '.esc_html($author_name).'</a>
										</li>';
							}
							if($builtit_blog_date == true){
								$result.='<li>
											<span><i class="far fa-calendar-alt"></i></span>
											<a href="'.esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ).'">'. esc_html(get_the_date()) .'</a>   
										</li>'; 
							}
							if($builtit_blog_comments == true){
							$result.='<li>
									<span><i class="far fa-comments"></i></span>
										<a href="'.esc_url(get_the_permalink()).'">'.esc_html($comments).' '. esc_html($comment_txt) .'</a>  
								</li>';  
							} 
							$result.='</ul>';
					}
					$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-blog-title">'. esc_html(get_the_title()) .'</a>';
					
					if($builtit_blog_short_des == true){
						$result.='<p>'. esc_html(get_the_excerpt()) .'</p>';
					}
					if($builtit_blog_btn == true){
						$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-read-more">'. esc_html__('Read More', 'built-it') .'<i class="fas fa-arrow-right"></i></a>';
					}
				$result.='</div> 
			</div></div>';
			} elseif($builtit_blog_style_v == 'builtit-blog-style2'){
				$result.='<div class="'. esc_attr($col) .' col-md-12">
				<div class="builtit-blog-box '. esc_attr($builtit_blog_style_v) .'">';
				if($builtit_blog_thumb == true){
					$result.='<div class="builtit-blog-img">' . get_the_post_thumbnail(). '';
						if($builtit_blog_date == true){
							$result.='<a href="'.esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ).'" class="builtit-blog-date-btn">'. esc_html(get_the_date()) .'</a> '; 
							}
					$result.='</div>';
				}
				$result.='<div class="builtit-blog-data">';
					if($builtit_blog_cat_s == true){
					$categories = get_the_category(get_the_ID());
							$result.='<ul class="builtit-blog-view builtit-blog-category">
                                    <li>
                                        <span><i class="fas fa-tag"></i></span>';
										foreach( $categories as $cd ){
											$result.='<a href="'.esc_url(get_category_link($cd->cat_ID)).'">'. esc_html($cd->name) .'</a>';
										}
                                    $result.='</li>
                                </ul>';
				}
					$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-blog-title">'. esc_html(get_the_title()) .'</a>';
					
					if($builtit_blog_author == true || $builtit_blog_comments == true){
						$result.='<ul class="builtit-blog-view">';
							if($builtit_blog_author == true){
								$result.='<li>
											<span><i class="far fa-user"></i></span>
											<a href="'.esc_url($author_url).'">'.esc_html__('By', 'built-it').' - '.esc_html($author_name).'</a>
										</li>';
							}
							if($builtit_blog_comments == true){
								$result.='<li>
											<span><i class="far fa-comments"></i></span>
											<a href="'.esc_url(get_the_permalink()).'">'.esc_html($comments).' '. esc_html($comment_txt) .'</a>  
										</li>'; 
							}
							$result.='</ul>';
					}
					
					if($builtit_blog_short_des == true){
						$result.='<p>'. esc_html(get_the_excerpt()) .'</p>';
					}
					if($builtit_blog_btn == true){
						$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-read-more">'. esc_html__('Read More', 'built-it') .' <i class="fas fa-arrow-right"></i></a>';
					}
				$result.='</div> 
			</div></div>';
			} else{
				$result.='<div class="'. esc_attr($col) .' col-md-12">
				<div class="builtit-blog-box '. esc_attr($builtit_blog_style_v) .'">';
				if($builtit_blog_thumb == true){
					$result.='<div class="builtit-blog-img">' . get_the_post_thumbnail(). '</div>';
				}
				$result.='<div class="builtit-blog-data">';
				if($builtit_blog_cat_s == true){
					$categories = get_the_category(get_the_ID());
							$result.='<ul class="builtit-blog-view builtit-blog-category">
                                    <li>
                                        <span><i class="fas fa-tag"></i></span>';
										foreach( $categories as $cd ){
											$result.='<a href="'.esc_url(get_category_link($cd->cat_ID)).'">'. esc_html($cd->name) .'</a>';
										}
                                    $result.='</li>
                                </ul>';
				}
					if($builtit_blog_comments == true || $builtit_blog_date == true || $builtit_blog_author == true){
						$result.='<ul class="builtit-blog-view">';
							if($builtit_blog_author == true){
								$result.='<li>
											<span><i class="far fa-user"></i></span>
											<a href="'.esc_url($author_url).'">'.esc_html__('By', 'built-it').' - '.esc_html($author_name).'</a>
										</li>';
							}
							if($builtit_blog_date == true){
								$result.='<li>
											<span><i class="far fa-calendar-alt"></i></span>
											<a href="'.esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ).'">'. esc_html(get_the_date()) .'</a>   
										</li>'; 
							} 
							if($builtit_blog_comments == true){
						$result.='<li>
									<span><i class="far fa-comments"></i></span>
										<a href="'.esc_url(get_the_permalink()).'">'.esc_html($comments).' '. esc_html($comment_txt) .'</a>  
								</li>';  
							} 
							$result.='</ul>';
					}
					$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-blog-title">'. esc_html(get_the_title()) .'</a>';
					
					if($builtit_blog_short_des == true){
						$result.='<p>'. esc_html(get_the_excerpt()) .'</p>';
					}
					if($builtit_blog_btn == true){
						$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-read-more">'. esc_html__('Read More', 'built-it') .' <i class="fas fa-arrow-right"></i></a>';
					}
				$result.='</div> 
			</div></div>';
			}
		} elseif($builtit_blog_style == 'list'){
			if($builtit_blog_style_v == 'builtit-blog-style1'){
				$result.='<div class="col-lg-12 col-md-12">
				<div class="builtit-blog-box '. esc_attr($builtit_blog_style_v) .' builtit-blog-list">';
				if($builtit_blog_thumb == true){
					$result.='<div class="builtit-blog-img">' . get_the_post_thumbnail(). '</div>';
				}
				$result.='<div class="builtit-blog-data">';
				if($builtit_blog_cat_s == true){
					$categories = get_the_category(get_the_ID());
							$result.='<ul class="builtit-blog-view builtit-blog-category">
                                    <li>
                                        <span><i class="fas fa-tag"></i></span>';
										foreach( $categories as $cd ){
											$result.='<a href="'.esc_url(get_category_link($cd->cat_ID)).'">'. esc_html($cd->name) .'</a>';
										}
                                    $result.='</li>
                                </ul>';
				}
					if($builtit_blog_author == true || $builtit_blog_date == true || $builtit_blog_comments == true){
						$result.='<ul class="builtit-blog-view">';
							if($builtit_blog_author == true){
								$result.='<li>
											<span><i class="far fa-user"></i></span>
											<a href="'.esc_url($author_url).'">'.esc_html__('By', 'built-it').' - '.esc_html($author_name).'</a>
										</li>';
							}
							if($builtit_blog_date == true){
								$result.='<li>
											<span><i class="far fa-calendar-alt"></i></span>
											<a href="'.esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ).'">'. esc_html(get_the_date()) .'</a>   
										</li>'; 
							}
							if($builtit_blog_comments == true){
							$result.='<li>
									<span><i class="far fa-comments"></i></span>
										<a href="'.esc_url(get_the_permalink()).'">'.esc_html($comments).' '. esc_html($comment_txt) .'</a>  
								</li>';  
							} 
							$result.='</ul>';
					}
					$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-blog-title">'. esc_html(get_the_title()) .'</a>';
					
					if($builtit_blog_short_des == true){
						$result.='<p>'. esc_html(get_the_excerpt()) .'</p>';
					}
					if($builtit_blog_btn == true){
						$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-read-more">'. esc_html__('Read More', 'built-it') .' <i class="fas fa-arrow-right"></i></a>';
					}
				$result.='</div> 
			</div></div>';
			} elseif($builtit_blog_style_v == 'builtit-blog-style2'){
				$result.='<div class="col-lg-12 col-md-12">
				<div class="builtit-blog-box '. esc_attr($builtit_blog_style_v) .' builtit-blog-list">';
				if($builtit_blog_thumb == true){
					$result.='<div class="builtit-blog-img">' . get_the_post_thumbnail(). '';
						if($builtit_blog_date == true){
							$result.='<a href="'.esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ).'" class="builtit-blog-date-btn">'. esc_html(get_the_date()) .'</a> '; 
							}
					$result.='</div>';
				}
				$result.='<div class="builtit-blog-data">';
				if($builtit_blog_cat_s == true){
					$categories = get_the_category(get_the_ID());
							$result.='<ul class="builtit-blog-view builtit-blog-category">
                                    <li>
                                        <span><i class="fas fa-tag"></i></span>';
										foreach( $categories as $cd ){
											$result.='<a href="'.esc_url(get_category_link($cd->cat_ID)).'">'. esc_html($cd->name) .'</a>';
										}
                                    $result.='</li>
                                </ul>';
				}
					$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-blog-title">'. esc_html(get_the_title()) .'</a>';
					
					if($builtit_blog_author == true || $builtit_blog_comments == true){
						$result.='<ul class="builtit-blog-view">';
							if($builtit_blog_author == true){
								$result.='<li>
											<span><i class="far fa-user"></i></span>
											<a href="'.esc_url($author_url).'">'.esc_html__('By', 'built-it').' - '.esc_html($author_name).'</a>
										</li>';
							}
							if($builtit_blog_comments == true){
								$result.='<li>
											<span><i class="far fa-comments"></i></span>
											<a href="'.esc_url(get_the_permalink()).'">'.esc_html($comments).' '. esc_html($comment_txt) .'</a>  
										</li>'; 
							}
							$result.='</ul>';
					}
					
					if($builtit_blog_short_des == true){
						$result.='<p>'. esc_html(get_the_excerpt()) .'</p>';
					}
					if($builtit_blog_btn == true){
						$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-read-more">'. esc_html__('Read More', 'built-it') .' <i class="fas fa-arrow-right"></i></a>';
					}
				$result.='</div> 
			</div></div>';
			} else{
				$result.='<div class="col-lg-12 col-md-12">
				<div class="builtit-blog-box '. esc_attr($builtit_blog_style_v) .' builtit-blog-list">';
				if($builtit_blog_thumb == true){
					$result.='<div class="builtit-blog-img">' . get_the_post_thumbnail(). '</div>';
				}
				$result.='<div class="builtit-blog-data">';
					if($builtit_blog_cat_s == true){
					$categories = get_the_category(get_the_ID());
							$result.='<ul class="builtit-blog-view builtit-blog-category">
                                    <li>
                                        <span><i class="fas fa-tag"></i></span>';
										foreach( $categories as $cd ){
											$result.='<a href="'.esc_url(get_category_link($cd->cat_ID)).'">'. esc_html($cd->name) .'</a>';
										}
                                    $result.='</li>
                                </ul>';
				}
					if($builtit_blog_comments == true || $builtit_blog_date == true || $builtit_blog_author == true){
						$result.='<ul class="builtit-blog-view">';
							if($builtit_blog_author == true){
								$result.='<li>
											<span><i class="far fa-user"></i></span>
											<a href="'.esc_url($author_url).'">'.esc_html__('By', 'built-it').' - '.esc_html($author_name).'</a>
										</li>';
							}
							if($builtit_blog_date == true){
								$result.='<li>
											<span><i class="far fa-calendar-alt"></i></span>
											<a href="'.esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ).'">'. esc_html(get_the_date()) .'</a>   
										</li>'; 
							} 
							if($builtit_blog_comments == true){
						$result.='<li>
									<span><i class="far fa-comments"></i></span>
										<a href="'.esc_url(get_the_permalink()).'">'.esc_html($comments).' '. esc_html($comment_txt) .'</a>  
								</li>';  
							} 
							$result.='</ul>';
					}
					$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-blog-title">'. esc_html(get_the_title()) .'</a>';
					
					if($builtit_blog_short_des == true){
						$result.='<p>'. esc_html(get_the_excerpt()) .'</p>';
					}
					if($builtit_blog_btn == true){
						$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-read-more">'. esc_html__('Read More', 'built-it') .' <i class="fas fa-arrow-right"></i></a>';
					}
				$result.='</div> 
			</div></div>';
			}
		} else{
			if($builtit_blog_style_v == 'builtit-blog-style1'){
				$result.='<div class="swiper-slide">
				<div class="builtit-blog-box '. esc_attr($builtit_blog_style_v) .'">';
				if($builtit_blog_thumb == true){
					$result.='<div class="builtit-blog-img">' . get_the_post_thumbnail(). '</div>';
				}
				$result.='<div class="builtit-blog-data">';
				if($builtit_blog_cat_s == true){
					$categories = get_the_category(get_the_ID());
							$result.='<ul class="builtit-blog-view builtit-blog-category">
                                    <li>
                                        <span><i class="fas fa-tag"></i></span>';
										foreach( $categories as $cd ){
											$result.='<a href="'.esc_url(get_category_link($cd->cat_ID)).'">'. esc_html($cd->name) .'</a>';
										}
                                    $result.='</li>
                                </ul>';
				}
					if($builtit_blog_author == true || $builtit_blog_date == true || $builtit_blog_comments == true){
						$result.='<ul class="builtit-blog-view">';
							if($builtit_blog_author == true){
								$result.='<li>
											<span><i class="far fa-user"></i></span>
											<a href="'.esc_url($author_url).'">'.esc_html__('By', 'built-it').' - '.esc_html($author_name).'</a>
										</li>';
							}
							if($builtit_blog_date == true){
								$result.='<li>
											<span><i class="far fa-calendar-alt"></i></span>
											<a href="'.esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ).'">'. esc_html(get_the_date()) .'</a>   
										</li>'; 
							}
							if($builtit_blog_comments == true){
							$result.='<li>
									<span><i class="far fa-comments"></i></span>
										<a href="'.esc_url(get_the_permalink()).'">'.esc_html($comments).' '. esc_html($comment_txt) .'</a>  
								</li>';  
							} 
							$result.='</ul>';
					}
					$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-blog-title">'. esc_html(get_the_title()) .'</a>';
					
					if($builtit_blog_short_des == true){
						$result.='<p>'. esc_html(get_the_excerpt()) .'</p>';
					}
					if($builtit_blog_btn == true){
						$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-read-more">'. esc_html__('Read More', 'built-it') .' <i class="fas fa-arrow-right"></i></a>';
					}
				$result.='</div> 
			</div></div>';
			}elseif($builtit_blog_style_v == 'builtit-blog-style2'){
				$result.='<div class="swiper-slide">
				<div class="builtit-blog-box '. esc_attr($builtit_blog_style_v) .'">';
				if($builtit_blog_thumb == true){
					$result.='<div class="builtit-blog-img">' . get_the_post_thumbnail(). '';
						if($builtit_blog_date == true){
							$result.='<a href="'.esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ).'" class="builtit-blog-date-btn">'. esc_html(get_the_date()) .'</a> '; 
							}
					$result.='</div>';
				}
				$result.='<div class="builtit-blog-data">';
				if($builtit_blog_cat_s == true){
					$categories = get_the_category(get_the_ID());
							$result.='<ul class="builtit-blog-view builtit-blog-category">
                                    <li>
                                        <span><i class="fas fa-tag"></i></span>';
										foreach( $categories as $cd ){
											$result.='<a href="'.esc_url(get_category_link($cd->cat_ID)).'">'. esc_html($cd->name) .'</a>';
										}
                                    $result.='</li>
                                </ul>';
				}
					$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-blog-title">'. esc_html(get_the_title()) .'</a>';
					
					if($builtit_blog_author == true || $builtit_blog_comments == true){
						$result.='<ul class="builtit-blog-view">';
							if($builtit_blog_author == true){
								$result.='<li>
											<span><i class="far fa-user"></i></span>
											<a href="'.esc_url($author_url).'">'.esc_html__('By', 'built-it').' - '.esc_html($author_name).'</a>
										</li>';
							}
							if($builtit_blog_comments == true){
								$result.='<li>
											<span><i class="far fa-comments"></i></span>
											<a href="'.esc_url(get_the_permalink()).'">'.$comments.' '. esc_html__($comment_txt) .'</a>  
										</li>'; 
							}
							$result.='</ul>';
					}
					
					if($builtit_blog_short_des == true){
						$result.='<p>'. esc_html(get_the_excerpt()) .'</p>';
					}
					if($builtit_blog_btn == true){
						$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-read-more">'. esc_html__('Read More', 'built-it') .' <i class="fas fa-arrow-right"></i></a>';
					}
				$result.='</div> 
			</div></div>';
			} else{
				$result.='<div class="swiper-slide">
				<div class="builtit-blog-box '. esc_attr($builtit_blog_style_v) .'">';
				if($builtit_blog_thumb == true){
					$result.='<div class="builtit-blog-img">' . get_the_post_thumbnail(). '</div>';
				}
				$result.='<div class="builtit-blog-data">';
					if($builtit_blog_cat_s == true){
					$categories = get_the_category(get_the_ID());
							$result.='<ul class="builtit-blog-view builtit-blog-category">
                                    <li>
                                        <span><i class="fas fa-tag"></i></span>';
										foreach( $categories as $cd ){
											$result.='<a href="'.esc_url(get_category_link($cd->cat_ID)).'">'. esc_html($cd->name) .'</a>';
										}
                                    $result.='</li>
                                </ul>';
				}
					if($builtit_blog_comments == true || $builtit_blog_date == true || $builtit_blog_author == true){
						$result.='<ul class="builtit-blog-view">'; 
							if($builtit_blog_author == true){
								$result.='<li>
											<span><i class="far fa-user"></i></span>
											<a href="'.esc_url($author_url).'">'.esc_html__('By', 'built-it').' - '.esc_html($author_name).'</a>
										</li>';
							}
							if($builtit_blog_date == true){
								$result.='<li>
											<span><i class="far fa-calendar-alt"></i></span>
											<a href="'.esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ).'">'. esc_html(get_the_date()) .'</a>   
										</li>'; 
							} 
							if($builtit_blog_comments == true){
						$result.='<li>
									<span><i class="far fa-comments"></i></span>
										<a href="'.esc_url(get_the_permalink()).'">'.$comments.' '.$comment_txt.'</a>  
								</li>';  
							} 
							$result.='</ul>';
					}
					$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-blog-title">'. esc_html(get_the_title()) .'</a>';
					
					if($builtit_blog_short_des == true){
						$result.='<p>'. esc_html(get_the_excerpt()) .'</p>';
					}
					if($builtit_blog_btn == true){
						$result.='<a href="'. esc_url(get_the_permalink()) .'" class="builtit-read-more">'. esc_html__('Read More', 'built-it') .' <i class="fas fa-arrow-right"></i></a>';
					}
				$result.='</div> 
			</div></div>';
			}
		}
      endwhile;
   endif;
   wp_reset_query();
   if($builtit_blog_style == 'grid' || $builtit_blog_style == 'list'){
		$result.='</div></div>';
	}else{
		$result.='</div>';
		if($builtit_blog_nav == 'bullets'){
			$result.='<div class="swiper-pagination"></div>';
		}
		if($builtit_blog_nav == 'arrows'){
			$result.='<div class="swiper-button-prev">
                        <i class="fas fa-arrow-left"></i>
                    </div>
                    <div class="swiper-button-next">
                        <i class="fas fa-arrow-right"></i>
                     </div>';
		}
		$result.='</div></div>'; 
	}  
	
	$css .= !empty($builtit_blog_ic_color) ? '#builtit-'. $id .' .builtit-blog-view li i {color : '. esc_attr($builtit_blog_ic_color).';}' : '';
	
	$css .= !empty($builtit_blog_ad_color) ? '#builtit-'. $id .' a.builtit-read-more {color : '. esc_attr($builtit_blog_ad_color).';}' : '';
	
	$css .= !empty($builtit_blog_t_color) ? '#builtit-'. $id .' a:hover, #builtit-'. $id .' a.builtit-read-more:hover {color : '. esc_attr($builtit_blog_t_color).';}' : '';
	
	$css .= !empty($builtit_blog_ac_bullet) ? '#builtit-'. $id .' span.swiper-pagination-bullet.swiper-pagination-bullet-active {background : '. esc_attr($builtit_blog_ac_bullet).';}' : '';
	
	$css .= !empty($builtit_blog_inac_bullet) ? '#builtit-'. $id .' .swiper-pagination .swiper-pagination-bullet {background : '. esc_attr($builtit_blog_inac_bullet).';}' : '';
	
	$css .= !empty($builtit_blog_arro_bg) ? '#builtit-'. $id .' .swiper-button-prev, #builtit-'. $id .' .swiper-button-next {background : '. esc_attr($builtit_blog_arro_bg).';}' : '';
	
	$css .= !empty($builtit_blog_arro_color) ? '#builtit-'. $id .' .swiper-button-prev i, #builtit-'. $id .' .swiper-button-next i {color : '. esc_attr($builtit_blog_arro_color).';}' : '';
	
	$css .= !empty($builtit_blog_arro_hbg) ? '#builtit-'. $id .' .swiper-button-prev:hover, #builtit-'. $id .' .swiper-button-next:hover {background : '. esc_attr($builtit_blog_arro_hbg).';}' : '';
	
	$css .= !empty($builtit_blog_arro_hcolor) ? '#builtit-'. $id .' .swiper-button-prev:hover i, #builtit-'. $id .' .swiper-button-next:hover i {color : '. esc_attr($builtit_blog_arro_hcolor).';}' : '';
	
	$css .= !empty($builtit_blog_arro_color) ? '#builtit-'. $id .' .swiper-button-prev:after, #builtit-'. $id .' .swiper-button-next:after {border-color : '. esc_attr($builtit_blog_arro_color).';}' : '';
	
	$css .= !empty($builtit_blog_arro_hcolor) ? '#builtit-'. $id .' .swiper-button-prev:hover:after, #builtit-'. $id .' .swiper-button-next:hover:after {border-color : '. esc_attr($builtit_blog_arro_hcolor).';}' : '';
	
	global $builtit_internal_css;  
	$builtit_internal_css[] = $css;
	return $result; 
} 