<?php 
/**
 * Countdown Timer
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_count_timer','builtit_count_timer');
function builtit_count_timer($atts,$content){
    extract(shortcode_atts( 
		array( 
		'builtit_count_timer_style' => 'builtit-count-timer-style1',
		'builtit_count_timer_date' => '',
		'builtit_count_timer_tittle_c' => '',
		'builtit_count_timer_tittle_bg' => '',
		'builtit_count_timer_tittle_border' => '',
		'builtit_count_timer_tittle_bcolor' => '',
		'builtit_count_timer_tittle_br' => '',
		'builtit_count_timer_number_c' => '',
		'builtit_count_timer_number_bg' => '',
		'builtit_count_timer_number_border' => '',
		'builtit_count_timer_number_br' => '', 
		'builtit_count_timer_box_bg' => '',
		'builtit_count_timer_box_border' => '',
		'builtit_count_timer_bcolor' => '',
		'builtit_count_timer_bstyle' => '',
		'builtit_count_timer_box_br' => '',
		'builtit_count_timer_box_shw' => '',
		'builtit_count_timer_tittle_bstyle' => '',
		'builtit_count_timer_number_bstyle' => '',
		'builtit_count_timer_bstyle' => '',
		'builtit_class' => '',
		 ),$atts 
	 ) );  
	$result = $css = ''; 
	$id = uniqid();	
	$result.='<div class="builtit-count-timer-wrapper '. esc_attr($builtit_class) .'" >
		<div id="builtit-'. esc_attr($id) .'" class="builtit-count-timer-box">
            <div id="countdown"> 
			  <ul class="nsClock '. esc_attr($builtit_count_timer_style)  .'" data-date="'. esc_attr($builtit_count_timer_date)  .' 21:14:01">
                         <li>
                                    <span class="builtit-count-no days"></span>
                                    <span class="builtit-count-label">days</span>
                                </li>
                                <li>
                                    <span class="builtit-count-no hours"></span>
                                    <span class="builtit-count-label">Hours</span>
                                </li>
                                <li>
                                    <span class="builtit-count-no minutes"></span>
                                    <span class="builtit-count-label">Minutes</span>
                                </li>
                                <li>
                                    <span class="builtit-count-no seconds"></span>
                                    <span class="builtit-count-label">Seconds</span>
                                </li>
				</ul>
			</div>
		</div>
	</div>';
	
	$css .= !empty($builtit_count_timer_tittle_c) ? '#builtit-'. $id .' .builtit-count-label{color : '. esc_attr($builtit_count_timer_tittle_c).';}' : '';
	
	$css .= !empty($builtit_count_timer_tittle_bg) ? '#builtit-'. $id .' .builtit-count-label{background : '. esc_attr($builtit_count_timer_tittle_bg).';}' : '';
	
	$css .= !empty($builtit_count_timer_tittle_border) ? '#builtit-'. $id .' .builtit-count-label {border-width : '. esc_attr($builtit_count_timer_tittle_border) .';}' : '';
	
	$css .= !empty($builtit_count_timer_tittle_bstyle) ? '#builtit-'. $id .' .builtit-count-label {border-style : '. esc_attr($builtit_count_timer_tittle_bstyle) .'}' : '';
	
	$css .= !empty($builtit_count_timer_tittle_bcolor) ? '#builtit-'. $id .' .builtit-count-label {border-color : '. esc_attr($builtit_count_timer_tittle_bcolor) .';}' : '';
	
	$css .= !empty($builtit_count_timer_tittle_br) ? '#builtit-'. $id .' .builtit-count-label {border-radius : '. esc_attr($builtit_count_timer_tittle_br) .';}' : '';
	
	$css .= !empty($builtit_count_timer_number_c) ? '#builtit-'. $id .' .builtit-count-no {color : '. esc_attr($builtit_count_timer_number_c).';}' : '';
	
	$css .= !empty($builtit_count_timer_number_bg) ? '#builtit-'. $id .' .builtit-count-no{background : '. esc_attr($builtit_count_timer_number_bg).';}' : '';
	
	$css .= !empty($builtit_count_timer_number_border) ? '#builtit-'. $id .' .builtit-count-no {border-width : '. esc_attr($builtit_count_timer_number_border) .';}' : '';
	
	$css .= !empty($builtit_count_timer_number_bstyle) ? '#builtit-'. $id .' .builtit-count-no {border-style : '. esc_attr($builtit_count_timer_number_bstyle) .'}' : '';
	
	$css .= !empty($builtit_count_timer_number_bcolor) ? '#builtit-'. $id .' .builtit-count-no {border-color : '. esc_attr($builtit_count_timer_number_bcolor) .';}' : '';
	
	$css .= !empty($builtit_count_timer_number_br) ? '#builtit-'. $id .' .builtit-count-no {border-radius : '. esc_attr($builtit_count_timer_number_br) .';}' : '';
	
	$css .= !empty($builtit_count_timer_box_bg) ? '#builtit-'. $id .' #countdown ul li{background : '. esc_attr($builtit_count_timer_box_bg).';}' : '';
	
	$css .= !empty($builtit_count_timer_box_border) ? '#builtit-'. $id .' #countdown ul li {border-width : '. esc_attr($builtit_count_timer_box_border) .';}' : '';
	
	$css .= !empty($builtit_count_timer_bstyle) ? '#builtit-'. $id .' #countdown ul li {border-style : '. esc_attr($builtit_count_timer_bstyle) .'}' : '';
	
	$css .= !empty($builtit_count_timer_bcolor) ? '#builtit-'. $id .' #countdown ul li {border-color : '. esc_attr($builtit_count_timer_bcolor) .';}' : '';
	
	$css .= !empty($builtit_count_timer_box_br) ? '#builtit-'. $id .' #countdown ul li {border-radius : '. esc_attr($builtit_count_timer_box_br) .';}' : '';
	
	$css .= !empty($builtit_count_timer_box_shw) ? '#builtit-'. $id .' #countdown ul li {box-shadow : '. esc_attr($builtit_count_timer_box_shw) .';}' : '';
	
	global $builtit_internal_css;
	$builtit_internal_css[] = $css;
	return $result; 
} 