<?php 
/**
 * Image
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_image','builtit_image');
function builtit_image($atts,$content){
    
    extract(shortcode_atts( 
		array(
		'builtit_image_style' => 'builtit-img-style1',
		'builtit_img' => '',
		'builtit_class' => '',
		 ),$atts 
	 ) );
	$result = $css = ''; 
	$id = uniqid();
	$imageSrc = wp_get_attachment_image_src($builtit_img, 'full');
	
	switch ($builtit_image_style) {
		case "builtit-img-style2":
			$result.='<div class="builtit-img-box '. esc_attr($builtit_class) .' '. esc_attr($builtit_image_style) .'" id="builtit-'. esc_attr($id) .'">
                            <img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('builtit-image','built-it').'">
                      </div>';
		break;
		case "builtit-img-style3":
			$result.='<div class="builtit-img-box '. esc_attr($builtit_class) .' '. esc_attr($builtit_image_style) .'" id="builtit-'. esc_attr($id) .'">
                            <img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('builtit-image','built-it').'">
                      </div>';
		break;
		case "builtit-img-style4":
			$result.='<div class="builtit-img-box '. esc_attr($builtit_class) .' '. esc_attr($builtit_image_style) .'" id="builtit-'. esc_attr($id) .'">
                            <img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('builtit-image','built-it').'">
                      </div>';
		break;
		case "builtit-img-style5":
			$result.='<div class="builtit-img-box '. esc_attr($builtit_class) .' '. esc_attr($builtit_image_style) .'" id="builtit-'. esc_attr($id) .'">
                            <img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('builtit-image').'">
                      </div>';
		break;
		case "builtit-img-style6":
			$result.='<div class="builtit-img-box '. esc_attr($builtit_class) .' '. esc_attr($builtit_image_style) .'" id="builtit-'. esc_attr($id) .'">
                            <img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('builtit-image','built-it').'">
                      </div>'; 
		break; 
		default:
			$result.='<div class="builtit-img-box '. esc_attr($builtit_class) .' '. esc_attr($builtit_image_style) .'" id="builtit-'. esc_attr($id) .'">
                            <img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('builtit-image','built-it').'">
                      </div>';
		
	}	 
	return $result;    
} 