<?php 
/**
 * List
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_list','builtit_list');
function builtit_list($atts,$content){
	global $builtit_list_icon_align;
    extract(shortcode_atts( 
		array( 
		'builtit_list_color' => '',
		'builtit_list_bg_color' => '',
		'builtit_list_space' => '',
		'builtit_list_inline' => '',
		'builtit_list_border_show' => '',
		'builtit_list_box_border' => '',
		'builtit_list_box_bcolor' => '',
		'builtit_list_box_bstyle' => '',
		'builtit_notify_box_br' => '',
		'builtit_list_box_shw' => '',
		'builtit_list_hover_box' => '',
		'builtit_list_box_hcolor' => '', 
		'builtit_list_box_hbg_color' => '',
		'builtit_list_box_hbcolor' => '',
		'builtit_class' => '',
		'builtit_list_icon_color' => '',
		'builtit_list_icon_align' => 'builtit-list-icon-left',
		'builtit_list_icon_bg_color' => '',
		'builtit_list_icon_border' => '',
		'builtit_list_icon_b_color' => '',
		'builtit_list_icon_bstyle' => '',
		'builtit_notify_box_box_br' => '',
		'builtit_list_hover_icon' => '',
		'builtit_list_icon_hcolor' => '',
		'builtit_list_icon_hbg_color' => '',
		'builtit_list_icon_hbcolor' => '',
		 ),$atts 
	 ) );  
	$result = $css = ''; 
	$id = uniqid();	
	$result.='<div class="builtit-list-wrapper '. esc_attr($builtit_class) .'" id="builtit-'. esc_attr($id) .'">
		<div class="builtit-list builtit-list-bg">
			<ul>'.do_shortcode($content).'</ul>
		</div>
	</div>';
	
	$css .= !empty($builtit_list_color) ? '#builtit-'. $id .' .list-text{color : '. esc_attr($builtit_list_color).';}' : ''; 
	
	$css .= !empty($builtit_list_bg_color) ? '#builtit-'. $id .' ul li {background : '. esc_attr($builtit_list_bg_color).';}' : '';
	
	$css .= !empty($builtit_list_space) ? '#builtit-'. $id .' ul li {margin-bottom : '. esc_attr($builtit_list_space).';}' : '';
	
	if($builtit_list_inline == 'true'){
		$css .= '#builtit-'. $id .' ul li {display : inline-block;}';
		$css .= !empty($builtit_list_space) ? '#builtit-'. $id .' ul li {margin-right : '. esc_attr($builtit_list_space).';}' : '';
	}
	
	$css .= !empty($builtit_list_box_border) ? '#builtit-'. $id .' ul li {border-width : '. esc_attr($builtit_list_box_border) .';}' : '';
	
	$css .= !empty($builtit_list_box_bstyle) ? '#builtit-'. $id .' ul li {border-style : '. esc_attr($builtit_list_box_bstyle) .'}' : '';
	
	$css .= !empty($builtit_list_box_bcolor) ? '#builtit-'. $id .' ul li {border-color : '. esc_attr($builtit_list_box_bcolor) .';}' : '';
	
	$css .= !empty($builtit_notify_box_br) ? '#builtit-'. $id .' ul li {border-radius : '. esc_attr($builtit_notify_box_br) .';}' : '';
	
	$css .= !empty($builtit_list_box_shw) ? '#builtit-'. $id .' ul li {box-shadow : '. esc_attr($builtit_list_box_shw) .';}' : '';
	
	$css .= !empty($builtit_list_box_hcolor) ? '#builtit-'. $id .' li:hover .list-text{color : '. esc_attr($builtit_list_box_hcolor).';}' : ''; 
	
	$css .= !empty($builtit_list_box_hbg_color) ? '#builtit-'. $id .' ul li:hover {background : '. esc_attr($builtit_list_box_hbg_color).';}' : '';
	
	$css .= !empty($builtit_list_box_hbcolor) ? '#builtit-'. $id .' ul li:hover {border-color : '. esc_attr($builtit_list_box_hbcolor) .';}' : ''; 
	
	$css .= !empty($builtit_list_icon_color) ? '#builtit-'. $id .' .builtit-list-icon i {color : '. esc_attr($builtit_list_icon_color).';}' : ''; 
	
	$css .= !empty($builtit_list_icon_bg_color) ? '#builtit-'. $id .' .builtit-list-icon {background : '. esc_attr($builtit_list_icon_bg_color).';}' : '';
	
	$css .= !empty($builtit_list_icon_border) ? '#builtit-'. $id .' .builtit-list-icon {border-width : '. esc_attr($builtit_list_icon_border) .';}' : '';
	
	$css .= !empty($builtit_list_icon_bstyle) ? '#builtit-'. $id .' .builtit-list-icon {border-style : '. esc_attr($builtit_list_icon_bstyle) .'}' : '';
	
	$css .= !empty($builtit_list_icon_b_color) ? '#builtit-'. $id .' .builtit-list-icon {border-color : '. esc_attr($builtit_list_icon_b_color) .';}' : '';
	
	$css .= !empty($builtit_notify_box_box_br) ? '#builtit-'. $id .' .builtit-list-icon {border-radius : '. esc_attr($builtit_notify_box_box_br) .';}' : '';
	
	$css .= !empty($builtit_list_icon_hcolor) ? '#builtit-'. $id .' ul li:hover .builtit-list-icon i {color : '. esc_attr($builtit_list_icon_hcolor).';}' : ''; 
	
	$css .= !empty($builtit_list_icon_hbg_color) ? '#builtit-'. $id .' ul li:hover .builtit-list-icon {background : '. esc_attr($builtit_list_icon_hbg_color).';}' : '';
	
	$css .= !empty($builtit_list_icon_hbcolor) ? '#builtit-'. $id .' ul li:hover .builtit-list-icon {border-color : '. esc_attr($builtit_list_icon_hbcolor) .';}' : '';
	
	$css .= !empty($builtit_list_icon_align) ? '#builtit-'. $id .' .builtit-list-icon-right span.list-text {text-align : right;}' : '';
	
	global $builtit_internal_css;  
	$builtit_internal_css[] = $css;
	return $result; 
}
add_shortcode('builtit_list_item','builtit_list_item');
function builtit_list_item($atts,$content){
	global $builtit_list_icon_align;
    extract(shortcode_atts( 
		array(
		'builtit_list_item_icon' => '', 
		'builtit_list_item_text' => '', 
		'builtit_list_item_open_new' => '',
		'builtit_list_item_link' => '',
		 ),$atts 
	 ) );
	$result = ''; 
	
	$result.='<li class="';
			if(!empty($builtit_list_item_icon)){
				$result.='builtit-list-has-icon ';
			}	
	$result.=''. esc_attr($builtit_list_icon_align) .'">
		<a';
		if(!empty($builtit_list_item_link)){
			$result.=' href="'. esc_url($builtit_list_item_link) .'"';
		}
		if($builtit_list_item_open_new=='true'){
				$result.=' target="_blank"'; 
			} 
		$result.='>';
			if(!empty($builtit_list_item_icon)){
				$result.='<span class="builtit-list-icon">
					<i class="'. esc_attr($builtit_list_item_icon) .'"></i>
				</span>';
			}
			$result.='<span class="list-text">'. esc_html($builtit_list_item_text) .'</span>
        </a> 
    </li>'; 
    return $result; 
}  