<?php 
/**
 * Team
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_team','builtit_team');
function builtit_team($atts,$content){
    
    extract(shortcode_atts( 
		array(
		'builtit_team_style' => 'builtit-team-style1',
		'builtit_team_img' => '',
		'builtit_team_name' => '',
		'builtit_team_pos' => '',
		'builtit_team_phone' => '',
		'builtit_team_email' => '',
		'builtit_team_sloop' => '',
		'builtit_team_sicon' => '',
		'builtit_team_link' => '',
		'builtit_team_ncolor' => '',
		'builtit_team_pcolor' => '',
		'builtit_team_social_c' => '',
		'builtit_team_social_bg' => '',
		'builtit_team_addition_bg' => '',
		'builtit_team_overlay_bg' => '',
		'builtit_class' => '',
		'builtit_team_c_info_h' => '',
		'builtit_team_c_info' => '',
		'builtit_team_social_hc' => '',
		'builtit_team_social_hbg' => '',
		'builtit_team_border' => '',
		'builtit_team_border_style' => '',
		'builtit_team_border_color' => '',
		'builtit_team_border_r' => '',
		'builtit_team_box_shw' => '',
		'builtit_team_box_color' => '',
		'builtit_team_border_s' => '',
		'builtit_team_hover' => '',
		 ),$atts 
	 ) );
	$result = $css = ''; 
	$id = uniqid();
	$builtit_team_sloop = (array) vc_param_group_parse_atts($atts['builtit_team_sloop']);
	$imageSrc = wp_get_attachment_image_src($builtit_team_img, 'full');
	if($builtit_team_style == 'builtit-team-style1'){
		$result.='<div class="builtit-team '. esc_attr($builtit_class) .'" id="builtit-'. esc_attr($id) .'"><div class="builtit-team-box '. esc_attr($builtit_team_style) .'" >
            <div class="builtit-team-img">';
				if(!empty($imageSrc[0])){	
				$result .= '<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Team','built-it').'">';
					}
					$result.='</div><div class="builtit-team-data">';
					if(!empty($builtit_team_name)){
						$result.='<h2 class="builtit-team-name">'. esc_html($builtit_team_name) .'</h2>';
					}
					if(!empty($builtit_team_pos)){
						$result.='<h3 class="builtit-team-designation">'. esc_html($builtit_team_pos) .'</h3>';
					}
					if(!empty($builtit_team_phone) || !empty($builtit_team_email) ){
                         $result.='<ul class="builtit-team-contact">'; 
						 
							$result.=!empty($builtit_team_phone) ?  '<li><a href="tel:'. esc_url($builtit_team_phone) .'"><i class="fas fa-phone-alt"></i>'. esc_html($builtit_team_phone) .'</a></li>' : '';
							
							$result.=!empty($builtit_team_email) ?  '<li><a href="mailto:'. esc_url($builtit_team_email) .'"><i class="fas fa-envelope"></i>'. esc_html($builtit_team_email) .'</a></li>' : '';
							$result.='</ul>';
					}
					$result.='<ul class="builtit-team-social">';
						foreach ($builtit_team_sloop as $item) {
							$result.= !empty($item['builtit_team_link']) || !empty($item['builtit_team_sicon']) ? '<li><a href="'. esc_url($item['builtit_team_link']) .'" target="_blank"><i class="'.esc_attr($item['builtit_team_sicon']).'"></i></a></li>' : '';
						}
					$result.='</ul>';	
			$result.='</div></div></div>'; 
	} elseif($builtit_team_style == 'builtit-team-style2'){
		$result.='<div class="builtit-team '. esc_attr($builtit_class) .'" id="builtit-'.$id.'"><div class="builtit-team-box '. esc_attr($builtit_team_style) .' '. esc_attr($builtit_class) .'" id="builtit-'.$id.'">
            <div class="builtit-team-img">';
				if(!empty($imageSrc[0])){	
				$result .= '<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Team','built-it').'">';
					}
				if(!empty($builtit_team_phone) || !empty($builtit_team_email) ){
                         $result.='<ul class="builtit-team-contact">'; 
						 
							$result.=!empty($builtit_team_phone) ?  '<li><a href="tel:'. esc_url($builtit_team_phone) .'"><i class="fas fa-phone-alt"></i>'. esc_html($builtit_team_phone) .'</a></li>' : '';
							
							$result.=!empty($builtit_team_email) ?  '<li><a href="mailto:'. esc_url($builtit_team_email) .'"><i class="fas fa-envelope"></i>'. esc_html($builtit_team_email) .'</a></li>' : '';
							$result.='</ul>';
					}
					$result.='</div><div class="builtit-team-data">';
					$result.='<ul class="builtit-team-social">';
						foreach ($builtit_team_sloop as $item) {
							$result.= !empty($item['builtit_team_link']) || !empty($item['builtit_team_sicon']) ? '<li><a href="'. esc_url($item['builtit_team_link']) .'" target="_blank"><i class="'.esc_attr($item['builtit_team_sicon']).'"></i></a></li>' : '';
						}
					$result.='</ul>';	
					if(!empty($builtit_team_name)){
						$result.='<h2 class="builtit-team-name">'. esc_html($builtit_team_name) .'</h2>';
					}
					if(!empty($builtit_team_pos)){
						$result.='<h3 class="builtit-team-designation">'. esc_html($builtit_team_pos) .'</h3>';
					}
					$result.='</div>';
			$result.='</div></div>';
	} elseif($builtit_team_style == 'builtit-team-style3'){
		$result.='<div class="builtit-team '. esc_attr($builtit_class) .'" id="builtit-'.$id.'"><div class="builtit-team-box '. esc_attr($builtit_team_style) .' '. esc_attr($builtit_class) .'" id="builtit-'.$id.'">
            <div class="builtit-team-img">';
				if(!empty($imageSrc[0])){	
				$result .= '<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Team','built-it').'">';
					}
					$result.='</div><div class="builtit-team-data">';
					if(!empty($builtit_team_name)){
						$result.='<h2 class="builtit-team-name">'. esc_html($builtit_team_name) .'</h2>';
					}
					if(!empty($builtit_team_pos)){
						$result.='<h3 class="builtit-team-designation">'. esc_html($builtit_team_pos) .'</h3>';
					}
					if(!empty($builtit_team_phone) || !empty($builtit_team_email) ){
                         $result.='<ul class="builtit-team-contact">'; 
						 
							$result.=!empty($builtit_team_phone) ?  '<li><a href="tel:'. esc_url($builtit_team_phone) .'"><i class="fas fa-phone-alt"></i>'. esc_html($builtit_team_phone) .'</a></li>' : '';
							
							$result.=!empty($builtit_team_email) ?  '<li><a href="mailto:'. esc_url($builtit_team_email) .'"><i class="fas fa-envelope"></i>'. esc_html($builtit_team_email) .'</a></li>' : '';
							$result.='</ul>';
					}
					$result.='<ul class="builtit-team-social">';
						foreach ($builtit_team_sloop as $item) {
							$result.= !empty($item['builtit_team_link']) || !empty($item['builtit_team_sicon']) ? '<li><a href="'. esc_url($item['builtit_team_link']) .'" target="_blank"><i class="'.esc_attr($item['builtit_team_sicon']).'"></i></a></li>' : '';
						}
					$result.='</ul>';	
			$result.='</div></div></div>';
	} else {
		$result.='<div class="builtit-team '. esc_attr($builtit_class) .'" id="builtit-'.$id.'"><div class="builtit-team-box '. esc_attr($builtit_team_style) .' '. esc_attr($builtit_class) .'" id="builtit-'.$id.'">
            <div class="builtit-team-img">';
				if(!empty($imageSrc[0])){	
				$result .= '<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Team','built-it').'">';
					}
					$result.='</div><div class="builtit-team-data">';
					if(!empty($builtit_team_name)){
						$result.='<h2 class="builtit-team-name">'. esc_html($builtit_team_name) .'</h2>';
					}
					if(!empty($builtit_team_pos)){
						$result.='<h3 class="builtit-team-designation">'. esc_html($builtit_team_pos) .'</h3>';
					}
					if(!empty($builtit_team_phone) || !empty($builtit_team_email) ){
                         $result.='<ul class="builtit-team-contact">'; 
						 
							$result.=!empty($builtit_team_phone) ?  '<li><a href="tel:'. esc_url($builtit_team_phone) .'"><i class="fas fa-phone-alt"></i>'. esc_html($builtit_team_phone) .'</a></li>' : '';
							
							$result.=!empty($builtit_team_email) ?  '<li><a href="mailto:'. esc_url($builtit_team_email) .'"><i class="fas fa-envelope"></i>'. esc_html($builtit_team_email) .'</a></li>' : '';
							$result.='</ul>';
					} 
					$result.='<ul class="builtit-team-social">';
						foreach ($builtit_team_sloop as $item) {
							$result.= !empty($item['builtit_team_link']) || !empty($item['builtit_team_sicon']) ? '<li><a href="'. esc_url($item['builtit_team_link']) .'" target="_blank"><i class="'.esc_attr($item['builtit_team_sicon']).'"></i></a></li>' : '';
						}
					$result.='</ul>';	
			$result.='</div></div></div>';
	}
	
	$css .= !empty($builtit_team_ncolor) ? '#builtit-'. $id .' .builtit-team-name {color : '. esc_attr($builtit_team_ncolor).';}' : '';
	
	$css .= !empty($builtit_team_pcolor) ? '#builtit-'. $id .' .builtit-team-designation {color : '. esc_attr($builtit_team_pcolor).';}' : '';
	
	$css .= !empty($builtit_team_social_bg) ? '#builtit-'. $id .' .builtit-team-social li a {background : '. esc_attr($builtit_team_social_bg).';}' : '';
	
	$css .= !empty($builtit_team_social_c) ? '#builtit-'. $id .' .builtit-team-social li a {color : '. esc_attr($builtit_team_social_c).';}' : '';
	
	$css .= !empty($builtit_team_addition_bg) ? '#builtit-'. $id .' .builtit-team-style1.builtit-team-box:after {background : '. esc_attr($builtit_team_addition_bg).';}' : '';
	
	$css .= !empty($builtit_team_overlay_bg) ? '#builtit-'. $id .' .builtit-team-style2 .builtit-team-img:after, #builtit-'. $id .' .builtit-team-style3:after {background : '. esc_attr($builtit_team_overlay_bg).';}' : ''; 
	
	$css .= !empty($builtit_team_addition_bg) ? '#builtit-'. $id .' .builtit-team-style3 .builtit-team-contact:after {background : '. esc_attr($builtit_team_addition_bg).';}' : '';
	
	$css .= !empty($builtit_team_addition_bg) ? '#builtit-'. $id .' .builtit-team-style4 .builtit-team-social{border-color : '. esc_attr($builtit_team_addition_bg).';}' : ''; 
	
	$css .= !empty($builtit_team_c_info) ? '#builtit-'. $id .' ul.builtit-team-contact li a{color : '. esc_attr($builtit_team_c_info).';}' : '';
	
	$css .= !empty($builtit_team_c_info_h) ? '#builtit-'. $id .' ul.builtit-team-contact li a:hover{color : '. esc_attr($builtit_team_c_info_h).';}' : '';
	
	$css .= !empty($builtit_team_social_hc) ? '#builtit-'. $id .' .builtit-team-social li a:hover{color : '. esc_attr($builtit_team_social_hc).';}' : '';
	
	$css .= !empty($builtit_team_social_hbg) ? '#builtit-'. $id .' .builtit-team-social li a:hover{background : '. esc_attr($builtit_team_social_hbg).';}' : '';
	
	$css .= !empty($builtit_team_social_b_shodow) ? '#builtit-'. $id .' .builtit-team-social li a{background : '. esc_attr($builtit_team_social_b_shodow).';}' : '';
	
	$css .= !empty($builtit_team_social_b_shodow) ? '#builtit-'. $id .' .builtit-team-social li a{background : '. esc_attr($builtit_team_social_b_shodow).';}' : '';
	
	$css .= !empty($builtit_team_btn_box_shw) ? '#builtit-'. $id .' .builtit-team-box {box-shadow : '. esc_attr($builtit_team_btn_box_shw).';}' : '';
	
	$css .= !empty($builtit_team_border) ? '#builtit-'. $id .' .builtit-team-box {border-width : '. esc_attr($builtit_team_border).';}' : '';

    $css .= !empty($builtit_team_border_style) ? '#builtit-'. $id .' .builtit-team-box {border-style : '. esc_attr($builtit_team_border_style).';}' : ''; 

    $css .= !empty($builtit_team_border_color) ? '#builtit-'. $id .' .builtit-team-box {border-color :  '. esc_attr($builtit_team_border_color).' ;}' : '';
	
	$css .= !empty($builtit_team_border_r) ? '#builtit-'. $id .' .builtit-team-box {border-radius : '. esc_attr($builtit_team_border_r).';}' : '';
	
	$css .= !empty($builtit_team_box_color) ? '#builtit-'. $id .' .builtit-team-box {background : '. esc_attr($builtit_team_box_color).';}' : '';
	
	$css .= !empty($builtit_team_box_shw) ? '#builtit-'. $id .' .builtit-team-box {box-shadow : '. esc_attr($builtit_team_box_shw).';}' : '';
	
	global $builtit_internal_css;
	$builtit_internal_css[] = $css;	 
	return $result;    
} 