<?php 
/**
 * Testimonial
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
add_shortcode('builtit_testimonials','builtit_testimonials');
function builtit_testimonials($atts,$content){
    global $builtit_testi_view;
	global $builtit_testi_layout;
	global $builtit_testi_column_grid;
	global $builtit_testi_view_grid;
    extract(shortcode_atts( 
		array( 
		'builtit_testi_layout' => 'builtit-testi-grid',
		'builtit_testi_view' => 'builtit-testimonial-slider',
		'builtit_class' => '',
		'builtit_testi_nav' => '',
		'builtit_testi_autoplay' => '',
		'builtit_testi_loop' => '',
		'builtit_testi_bullet' => '',  
		'builtit_testi_inac_bullet' => '',
		'builtit_testi_arro_color' => '',
		'builtit_testi_arro_bg' => '',
		'builtit_testi_arro_hcolor' => '', 
		'builtit_testi_arro_hbg' => '',
		'builtit_testi_column' => '3',
		'builtit_testi_speed' => '',
		'builtit_testi_ad_color' => '',
		'builtit_testi_view_grid' => '',
		'builtit_testi_column_grid' => '1',
		
		 ),$atts 
	 ) ); 
	$result = $css = ''; 	 
	$id = uniqid();	
	$slidermeta = array('per_view' => $builtit_testi_column, 'autoplay' => $builtit_testi_autoplay, 'loop' => $builtit_testi_loop, 'delay' => $builtit_testi_speed);
	$result.='<div class="builtit-testimonial-wrap '. esc_attr($builtit_class) .'" id="builtit-'. esc_attr($id) .'">';
	if($builtit_testi_view == 'builtit-testimonial-style4'){
			$testi_view = 'builtit-testimonial-slider4';
		}elseif($builtit_testi_view == 'builtit-testimonial-style3'){
			$testi_view = 'builtit-testimonial-slider3';
		}elseif($builtit_testi_view == 'builtit-testimonial-style2'){
			$testi_view = 'builtit-testimonial-slider2';
		}else {
			$testi_view = 'builtit-testimonial-slider';
		}
	if($builtit_testi_layout == 'builtit-testi-Slider'){
		$result.='<div class="'. esc_attr($testi_view) .' builtit-slider-pagination builtit-slider-arrow">
				<div class="swiper-container" data-slidermeta="'.esc_attr(json_encode($slidermeta)).'">
                   <div class="swiper-wrapper">
					'.do_shortcode($content).'
					</div>';
					if($builtit_testi_nav == 'bullets'){
					$result.='<div class="swiper-pagination"></div>';
				}
				if($builtit_testi_nav == 'arrows'){
					if($builtit_testi_view == 'builtit-testimonial-style2' || $builtit_testi_view == 'builtit-testimonial-style3' || $builtit_testi_view == 'builtit-testimonial-style4'){
						$result.='<div class="swiper-button-prev">
                                        <i class="fas fa-arrow-left"></i>
                                    </div>
                                    <div class="swiper-button-next">
                                        <i class="fas fa-arrow-right"></i>
                                    </div>';
					}elseif($builtit_testi_view == 'builtit-testimonial-style5'){
						$result.='<div class="builtit-testi-nav builtit-testi-nav-style2">
                                    <div class="swiper-button-prev">
                                        <i class="fas fa-arrow-left"></i>
                                    </div>
                                    <div class="swiper-button-next">
                                        <i class="fas fa-arrow-right"></i>
                                    </div>
                                </div>'; 
					}else{
						$result.='<div class="builtit-testi-nav">
                                    <div class="swiper-button-prev">
                                        <i class="fas fa-arrow-left"></i>
                                    </div>
                                    <div class="swiper-button-next">
                                        <i class="fas fa-arrow-right"></i>
                                    </div>
                                </div>';
					}
				}
				$result.='</div>
			</div>';
	}else{
		$result.='<div class="'. esc_attr($testi_view) .'">
					<div class="row">
						'.do_shortcode($content).'
					</div>
				</div>';
	}
	$result.='</div>';
	
	$css .= !empty($builtit_testi_arro_bg) ? '#builtit-'. $id .' .swiper-button-prev, #builtit-'. $id .' .swiper-button-next {background : '. esc_attr($builtit_testi_arro_bg).';}' : '';
	
	$css .= !empty($builtit_testi_arro_color) ? '#builtit-'. $id .' .swiper-button-prev i, #builtit-'. $id .' .swiper-button-next i {color : '. esc_attr($builtit_testi_arro_color).';}' : '';
	
	$css .= !empty($builtit_testi_arro_color) ? '#builtit-'. $id .' .swiper-button-prev:after, #builtit-'. $id .' .swiper-button-next:after {border-color : '. esc_attr($builtit_testi_arro_color).';}' : '';
	
	$css .= !empty($builtit_testi_arro_hcolor) ? '#builtit-'. $id .' .swiper-button-prev:hover:after, #builtit-'. $id .' .swiper-button-next:hover:after {border-color : '. esc_attr($builtit_testi_arro_hcolor).';}' : '';
	
	$css .= !empty($builtit_testi_arro_hbg) ? '#builtit-'. $id .' .swiper-button-prev:hover, #builtit-'. $id .' .swiper-button-next:hover {background : '. esc_attr($builtit_testi_arro_hbg).';}' : '';
	
	$css .= !empty($builtit_testi_arro_hcolor) ? '#builtit-'. $id .' .swiper-button-prev:hover i, #builtit-'. $id .' .swiper-button-next:hover i {color : '. esc_attr($builtit_testi_arro_hcolor).';}' : '';
	
	$css .= !empty($builtit_testi_inac_bullet) ? '#builtit-'. $id .' .swiper-pagination .swiper-pagination-bullet {background : '. esc_attr($builtit_testi_inac_bullet).';}' : '';
	
	$css .= !empty($builtit_testi_bullet) ? '#builtit-'. $id .' .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {background : '. esc_attr($builtit_testi_bullet).';}' : ''; 
	
	$css .= !empty($builtit_testi_ad_color) ? '#builtit-'. $id .' .builtit-testi-style5 .builtit-testi-img:before, #builtit-'. $id .' .builtit-testi-style5 .builtit-testi-img:after {background : '. esc_attr($builtit_testi_ad_color).';}' : ''; 
	
	$css .= !empty($builtit_testi_ad_color) ? '#builtit-'. $id .' .builtit-testi-style5 .builtit-testi-img img {border-color : '. esc_attr($builtit_testi_ad_color).';}' : ''; 
	
	global $builtit_internal_css;  
	$builtit_internal_css[] = $css;
	return $result;     
} 
add_shortcode('builtit_testimonials_item','builtit_testimonials_item');
function builtit_testimonials_item($atts,$content){
	global $builtit_testi_view;
	global $builtit_testi_layout;
	global $builtit_testi_column_grid;
	global $builtit_testi_view_grid;
    extract(shortcode_atts( 
		array(
		'builtit_testi_img' => '', 
		'builtit_testi_author_n' => '',
		'builtit_testi_author_p' => '',
		'builtit_testi_testi' => '',
		 ),$atts 
	 ) );
	 $result = $css = ''; 
	$imageSrc = wp_get_attachment_image_src($builtit_testi_img, 'full');
	if($builtit_testi_layout == 'builtit-testi-Slider'){
		$result.= '<div class="swiper-slide">'; 
		if($builtit_testi_view == 'builtit-testimonial-style2'){
			$result.= '<div class="builtit-testi-box builtit-testi-style4">
			<div class="builtit-testi-img">';
				if(!empty($builtit_testi_img)){
				$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Author','built-it').'">';
				} 
			$result.= '</div>
			<div class="builtit-testi-data">';
			if(!empty($builtit_testi_author_n)){
				$result.='<h4 class="builtit-testi-name">'. esc_html($builtit_testi_author_n) .'</h4>';
			}
			if(!empty($builtit_testi_testi)){ 
				$result.='<p>'. esc_html($builtit_testi_testi) .'</p>'; 
			}
			if(!empty($builtit_testi_author_p)){
				$result.='<h5 class="builtit-testi-designation">'. esc_html($builtit_testi_author_p) .'</h5>';
			}
			$result.= '</div></div>';
		}elseif($builtit_testi_view == 'builtit-testimonial-style3'){
			$result.= '<div class="builtit-testi-box builtit-testi-style5">
			<div class="builtit-testi-img">'; 
				if(!empty($builtit_testi_img)){
				$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Author','built-it').'">';
				}
			$result.= '</div>
			<div class="builtit-testi-data">';
			if(!empty($builtit_testi_testi)){
				$result.='<p>'. esc_html($builtit_testi_testi) .'</p>';
			}
			if(!empty($builtit_testi_author_n)){
				$result.='<h4 class="builtit-testi-name">'. esc_html($builtit_testi_author_n) .'</h4>';
			}
			if(!empty($builtit_testi_author_p)){
				$result.='<h5 class="builtit-testi-designation">'. esc_html($builtit_testi_author_p) .'</h5>';
			}
			$result.= '</div></div>';
		}else{
			if($builtit_testi_view == 'builtit-testimonial-style4'){
				$result.= '<div class="builtit-testi-box builtit-testi-style3"><div class="builtit-testi-img">';
					if(!empty($builtit_testi_img)){
						$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Author','built-it').'">';
					}
					$result.= '</div>
					<div class="builtit-testi-data">';
					if(!empty($builtit_testi_testi)){
						$result.='<p>'. esc_html($builtit_testi_testi) .'</p>';
					}
					if(!empty($builtit_testi_author_n)){
						$result.='<h4 class="builtit-testi-name">'. esc_html($builtit_testi_author_n) .'</h4>';
					}
					if(!empty($builtit_testi_author_p)){
						$result.='<h5 class="builtit-testi-designation">'. esc_html($builtit_testi_author_p) .'</h5>';
					}
				$result.= '</div></div>';
			} elseif($builtit_testi_view == 'builtit-testimonial-style5'){
				$result.= '<div class="builtit-testi-box builtit-testi-style2"><div class="builtit-testi-data">';
						if(!empty($builtit_testi_testi)){
										$result.='<p>'. esc_html($builtit_testi_testi) .'</p>';
									}
				$result.= '</div><div class="builtit-testi-img">';
					if(!empty($builtit_testi_img)){
						$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Author','built-it').'">';
					}
					$result.= '</div>';
					if(!empty($builtit_testi_author_n)){
						$result.='<h4 class="builtit-testi-name">'. esc_html($builtit_testi_author_n) .'</h4>';
					}
					if(!empty($builtit_testi_author_p)){
						$result.='<h5 class="builtit-testi-designation">'. esc_html($builtit_testi_author_p) .'</h5>';
					}
				$result.= '</div>';
			}else{
				$result.= '<div class="builtit-testi-box builtit-testi-style1">
					<div class="builtit-testi-img">';					
					if(!empty($builtit_testi_img)){
						$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Author','built-it').'">';
					}
					$result.= '</div>
					<div class="builtit-testi-data">';
					if(!empty($builtit_testi_testi)){
						$result.='<p>'. esc_html($builtit_testi_testi) .'</p>';
					}
					if(!empty($builtit_testi_author_n)){
						$result.='<h4 class="builtit-testi-name">'. esc_html($builtit_testi_author_n) .'</h4>';
					}
					if(!empty($builtit_testi_author_p)){
						$result.='<h5 class="builtit-testi-designation">'. esc_html($builtit_testi_author_p) .'</h5>';
					}
				$result.= '</div></div>';
			} 
		}
	$result.= '</div>';
	}else{
		if($builtit_testi_column_grid == 1){
			$builtit_testi_col = 'col-md-12';
		}elseif ($builtit_testi_column_grid == 2){
			$builtit_testi_col = 'col-md-6';
		}elseif ($builtit_testi_column_grid == 3){
			$builtit_testi_col = 'col-md-4';
		}else{
			$builtit_testi_col = 'col-md-3';
		} 
		if($builtit_testi_view_grid == 'builtit-testimonial-style2'){
			$result.= '<div class="'. esc_attr($builtit_testi_col) .'"><div class="builtit-testi-box builtit-testi-style4">
			<div class="builtit-testi-img">';
				if(!empty($builtit_testi_img)){
				$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Author','built-it').'">';
				} 
			$result.= '</div>
			<div class="builtit-testi-data">';
			if(!empty($builtit_testi_author_n)){
				$result.='<h4 class="builtit-testi-name">'. esc_html($builtit_testi_author_n) .'</h4>';
			}
			if(!empty($builtit_testi_testi)){ 
				$result.='<p>'. esc_html($builtit_testi_testi) .'</p>'; 
			}
			if(!empty($builtit_testi_author_p)){
				$result.='<h5 class="builtit-testi-designation">'. esc_html($builtit_testi_author_p) .'</h5>';
			}
			$result.= '</div></div></div>';
		}elseif($builtit_testi_view_grid == 'builtit-testimonial-style3'){
			$result.= '<div class="'. esc_attr($builtit_testi_col) .'"><div class="builtit-testi-box builtit-testi-style5">
			<div class="builtit-testi-img">'; 
				if(!empty($builtit_testi_img)){
				$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Author','built-it').'">';
				}
			$result.= '</div>
			<div class="builtit-testi-data">';
			if(!empty($builtit_testi_testi)){
				$result.='<p>'. esc_html($builtit_testi_testi) .'</p>';
			}
			if(!empty($builtit_testi_author_n)){
				$result.='<h4 class="builtit-testi-name">'. esc_html($builtit_testi_author_n) .'</h4>';
			}
			if(!empty($builtit_testi_author_p)){
				$result.='<h5 class="builtit-testi-designation">'. esc_html($builtit_testi_author_p) .'</h5>';
			}
			$result.= '</div></div></div>';
		}else{
			if($builtit_testi_view_grid == 'builtit-testimonial-style4'){
				$result.= '<div class="'. esc_attr($builtit_testi_col) .'"><div class="builtit-testi-box builtit-testi-style3"><div class="builtit-testi-img">';
					if(!empty($builtit_testi_img)){
						$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Author','built-it').'">';
					}
					$result.= '</div>
					<div class="builtit-testi-data">';
					if(!empty($builtit_testi_testi)){
						$result.='<p>'. esc_html($builtit_testi_testi) .'</p>';
					}
					if(!empty($builtit_testi_author_n)){
						$result.='<h4 class="builtit-testi-name">'. esc_html($builtit_testi_author_n) .'</h4>';
					}
					if(!empty($builtit_testi_author_p)){
						$result.='<h5 class="builtit-testi-designation">'. esc_html($builtit_testi_author_p) .'</h5>';
					}
				$result.= '</div></div></div>';
			} elseif($builtit_testi_view_grid == 'builtit-testimonial-style5'){
				$result.= '<div class="'. esc_attr($builtit_testi_col) .'"><div class="builtit-testi-box builtit-testi-style2"><div class="builtit-testi-data">';
						if(!empty($builtit_testi_testi)){
										$result.='<p>'. esc_html($builtit_testi_testi) .'</p>';
									}
				$result.= '</div><div class="builtit-testi-img">';
					if(!empty($builtit_testi_img)){
						$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Author','built-it').'">';
					}
					$result.= '</div>';
					if(!empty($builtit_testi_author_n)){
						$result.='<h4 class="builtit-testi-name">'. esc_html($builtit_testi_author_n) .'</h4>';
					}
					if(!empty($builtit_testi_author_p)){
						$result.='<h5 class="builtit-testi-designation">'. esc_html($builtit_testi_author_p) .'</h5>';
					}
				$result.= '</div></div>';
			}else{
				$result.= '<div class="'. esc_attr($builtit_testi_col) .'"><div class="builtit-testi-box builtit-testi-style1">
					<div class="builtit-testi-img">';					
					if(!empty($builtit_testi_img)){
						$result.='<img src="'.esc_url($imageSrc[0]).'" alt="'.esc_attr__('Author','built-it').'">';
					}
					$result.= '</div>
					<div class="builtit-testi-data">';
					if(!empty($builtit_testi_testi)){
						$result.='<p>'. esc_html($builtit_testi_testi) .'</p>';
					}
					if(!empty($builtit_testi_author_n)){
						$result.='<h4 class="builtit-testi-name">'. esc_html($builtit_testi_author_n) .'</h4>';
					}
					if(!empty($builtit_testi_author_p)){
						$result.='<h5 class="builtit-testi-designation">'. esc_html($builtit_testi_author_p) .'</h5>';
					}
				$result.= '</div></div></div>';
			} 
		}
	}
	
    return $result; 
} 